<?php

class Alerta_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get notas_calefon by id
     */
    function get_notas_calefon($id)
    {
        return $this->db->get_where('alertas_calefones',array('id'=>$id))->row_array();
    }

    /*
     * Get all notas_calefones
     */
    function get_all_notas_calefones()
    {
        $this->db->order_by('id', 'desc');
        return $this->db->get('alertas_calefones')->result_array();
    }

    /*
     * function to add new notas_calefon
     */
    function add_notas_calefon($params)
    {
        $this->db->insert('alertas_calefones',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update notas_calefon
     */
    function update_notas_calefon($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('alertas_calefones',$params);
    }

    /*
     * function to delete notas_calefon
     */
    function delete_notas_calefon($id)
    {
        return $this->db->delete('alertas_calefones',array('id'=>$id));
    }
}
