<?php

class Asesor_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get estado by id
     */
    function get_asesor($id)
    {
        return $this->db->get_where('m_asesor',array('id'=>$id))->row_array();
    }

    /*
     * Get all estados
     */
    function get_all_asesores()
    {
        $this->db->order_by('nom_ape', 'asc');
        return $this->db->get('m_asesor')->result_array();
    }

    /*
     * function to add new estado
     */
    function add_asesor($params)
    {
        $this->db->insert('m_asesor',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update estado
     */
    function update_asesor($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('m_asesor',$params);
    }

    /*
     * function to delete estado
     */
    function delete_asesor($id)
    {
        return $this->db->delete('m_asesor',array('id'=>$id));
    }
}
