<?php

class Microbanco_estado_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get estado by id
     */
    function get_estado($id)
    {
        return $this->db->get_where('m_estados',array('id'=>$id))->row_array();
    }

    /*
     * Get all estados
     */
    function get_all_estados()
    {
        $this->db->order_by('orden', 'asc');
        return $this->db->get('m_estados')->result_array();
    }

    /*
     * function to add new estado
     */
    function add_estado($params)
    {
        $this->db->insert('m_estados',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update estado
     */
    function update_estado($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('m_estados',$params);
    }

    /*
     * function to delete estado
     */
    function delete_estado($id)
    {
        return $this->db->delete('m_estados',array('id'=>$id));
    }
}
