<?php


class ObraPersonaTipo_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obrapersonatipo($id)
    {
        return $this->db->get_where('obraspersonastipos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obrapersonatipos()
    {
        $this->db->order_by('personatipo', 'asc');
        return $this->db->get('obraspersonastipos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obrapersonatipo($params)
    {
        $this->db->insert('obraspersonastipos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obrapersonatipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obraspersonastipos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obrapersonatipo($id)
    {
        return $this->db->delete('obraspersonastipos',array('id'=>$id));
    }
}
