<?php


class ObraPlazoTipo_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obraplazotipo($id)
    {
        return $this->db->get_where('obrasplazotipos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obraplazotipos()
    {
        $this->db->order_by('id', 'asc');
        return $this->db->get('obrasplazotipos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obraplazotipo($params)
    {
        $this->db->insert('obrasplazotipos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obraplazotipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrasplazotipos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obraplazotipo($id)
    {
        return $this->db->delete('obrasplazotipos',array('id'=>$id));
    }
}
