<?php


class ObraPresupuestoTipo_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obrapresupuestotipo($id)
    {
        return $this->db->get_where('obraspresupuestotipos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obrapresupuestotipos()
    {
        $this->db->order_by('id', 'asc');
        return $this->db->get('obraspresupuestotipos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obrapresupuestotipo($params)
    {
        $this->db->insert('obraspresupuestotipos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obrapresupuestotipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obraspresupuestotipos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obrapresupuestotipo($id)
    {
        return $this->db->delete('obraspresupuestotipos',array('id'=>$id));
    }
}
