<?php


class ObraProveedor_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obraproveedor($id)
    {
        return $this->db->get_where('obrasproveedores',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obraproveedores()
    {
        $this->db->order_by('title', 'asc');
        return $this->db->get('obrasproveedores')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obraproveedor($params)
    {
        $this->db->insert('obrasproveedores',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obraproveedor($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrasproveedores',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obraproveedor($id)
    {
        return $this->db->delete('obrasproveedores',array('id'=>$id));
    }

}
