<?php


class Sector_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_sector($id)
    {
        return $this->db->get_where('m_sectores',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_sectores()
    {
        $this->db->order_by('id', 'desc');
        return $this->db->get('m_sectores')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_sector($params)
    {
        $this->db->insert('m_sectores',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_sector($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('m_sectores',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_sector($id)
    {
        return $this->db->delete('m_sectores',array('id'=>$id));
    }
}
