<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Actualizar Inscripci&oacute;n</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('AMicrobanco'); ?>">Listar Inscripciones</a></li>
                <li class="breadcrumb-item"><a href="<?php echo base_url('AMicrobanco/detalle/'.$inscripcion['id']); ?>">Inscripci&oacute;n</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open('AMicrobanco/edit_evaluador/'.$inscripcion['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
						     <div class="col-md-6">
								<label for="ape_nom" class="control-label">Nombre y Apellido</label>
								<div class="form-group">
									<input type="text" name="ape_nom" value="<?php echo ($this->input->post('ape_nom') ? $this->input->post('ape_nom') : $inscripcion['ape_nom']); ?>" class="form-control" id="ape_nom" readonly/>
								</div>
							</div>
							<div class="col-md-6">
								<label for="dni" class="control-label">Dni</label>
								<div class="form-group">
									<input type="text" name="dni" value="<?php echo ($this->input->post('dni') ? $this->input->post('dni') : $inscripcion['dni']); ?>" class="form-control" id="dni" readonly/>
								</div>
							</div>
							<div class="col-md-6">
								<label for="localidad" class="control-label">Localidad</label>
								<div class="form-group">
									<input type="text" name="localidad" value="<?php echo ($this->input->post('localidad') ? $this->input->post('localidad') : $inscripcion['localidad']); ?>" class="form-control" id="localidad" readonly/>
								</div>
							</div>
							<div class="col-md-6">
								<label for="evaluador_id" class="control-label">Evaluador Actual de la Inscripci&oacute;n</label>
								<div class="form-group">
										<?php
										foreach($all_evaluadores as $eva)
										{
											if ($eva['id'] == $inscripcion['evaluador_id'])
											{
											 echo '<span class="badge bg-success">' . $eva['nom_ape'] . ' </span>';
											}
										}
										?>

								</div>
							</div>
							<div class="col-md-6">
								<label for="evaluador_id" class="control-label"><span class="text-danger">*</span>Evaluador de la Inscripci&oacute;n</label>
								<div class="form-group">
									<select name="evaluador_id" class="form-control">
										<option value="">Seleccionar Evaluador</option>
									<?php
										foreach($all_evaluadores as $evaluador)
										{
											$selected = ($evaluador['id'] == $inscripcion['evaluador_id']) ? ' selected="selected"' : "";

											echo '<option value="'.$evaluador['id'].'" '.$selected.'>'.$evaluador['nom_ape'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('evaluador_id');?></span>
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Actualizar
						</button>
			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
</div>
 </section>