<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Tu Hogar Sustentable</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item active">Hogar Sustentable</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   		<div class="row">
		    <div class="col-md-12">
		        <div class="card card-outline card-success">
			          <div class="card-header">
		              </div>
		              <div class="card-body">
              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			            <thead>
		                    <tr>
								<th bgcolor="#ececec">Localidad</th>
								<th>Sin Asignar</th>
								<th>En Verificaci&oacute;n</th>
								<th>Factibilidad T&eacute;cnica</th>
								<th>En Espera de Doc.</th>
								<th>Inicio Expediemte</th>
								<th>Rechazadas</th>
								<th>Entregadas</th>
								<th bgcolor="#ececec">Total</th>
		                    </tr>
		                    </thead>
			                <tbody>
		                    <?php foreach($localidades as $l){ ?>
		                    <tr>
								<td bgcolor="#ececec"><?php echo $l['localidad']; ?></td>
								<td><?php echo $l['sinasignar']; ?></td>
								<td><?php echo $l['verificacion']; ?></td>
								<td><?php echo $l['factibilidad']; ?></td>
								<td><?php echo $l['informe_evaluador']; ?></td>
								<td><?php echo $l['inicio_expediente']; ?></td>
								<td><?php echo $l['rechazados']; ?></td>
								<td><?php echo $l['aprobados']; ?></td>
								<td bgcolor="#ececec" class="d-flex justify-content-center"><strong>&nbsp;<?php echo $l['total']; ?>&nbsp;</strong></td>
		                    </tr>
		                    <?php } ?>
		                     </tbody>
		                </table>

		            </div>
		        </div>

		</div>
	</div>
	   <div class="row">
          	<div class="col-12">
		         <div class="card card-success">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Localidad</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
		 </div>
	</div>
 </section>

 <script>
  $(function () {
    var areaChartData = {
      labels  : [<?php echo $talabels;?>],
      datasets: [
        {
          label               : 'Sin Asignar',
          backgroundColor     : '#20c997',
          borderColor         : '#20c997',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tasinverificacion;?>]
        },
        {
          label               : 'En Verificaci\u00F3n',
          backgroundColor     : '#ffc107',
          borderColor         : '#ffc107',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $taverificacion;?>]
        },
        {
          label               : 'Factibilidad T\u00E9cnica',
          backgroundColor     : '#ff851b',
          borderColor         : '#ff851b',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tafactibilidad;?>]
        },
         {
          label               : 'En Espera de Documentaci\u00F3n',
          backgroundColor     : '#0074d9',
          borderColor         : '#0074d9',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tainforme_evaluador;?>]
        },
         {
          label               : 'Inicio Expediente',
          backgroundColor     : '#01ff70',
          borderColor         : '#01ff70',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tainicio_expediente;?>]
        },
         {
          label               : 'Rechazadas',
          backgroundColor     : '#dc3545',
          borderColor         : '#dc3545',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $tarechazados;?>]
        },
        {
          label               : 'Entregadas',
          backgroundColor     : '#28a745',
          borderColor         : '#28a745',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [<?php echo $taaprobados;?>]
        },
      ]
    }

    //---------------------
    //- STACKED BAR CHART -
    //---------------------
    var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
    var stackedBarChartData = jQuery.extend(true, {}, areaChartData)

    var stackedBarChartOptions = {
      responsive              : true,
      maintainAspectRatio     : false,
      scales: {
        xAxes: [{
          stacked: true,
        }],
        yAxes: [{
          stacked: true
        }]
      }
    }

    var stackedBarChart = new Chart(stackedBarChartCanvas, {
      type: 'bar',
      data: stackedBarChartData,
      options: stackedBarChartOptions
    })
  })
</script>

