<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Nueva Inscripci&oacute;n</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('User'); ?>">Listar Inscripciones</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
		            <?php echo form_open('calefones_inscripcion/add'); ?>
		          	<div class="box-body">
		          		<div class="row clearfix">
							<div class="col-md-6">
								<label for="localidad_id" class="control-label">Localidad</label>
								<div class="form-group">
									<select name="localidad_id" class="form-control">
										<option value="">select localidad</option>
										<?php
										foreach($all_localidades as $localidad)
										{
											$selected = ($localidad['id'] == $this->input->post('localidad_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$localidad['id'].'" '.$selected.'>'.$localidad['localidad'].'</option>';
										}
										?>
									</select>
								</div>
							</div>
							<div class="col-md-6">
								<label for="persona_id" class="control-label">Persona</label>
								<div class="form-group">
									<select name="persona_id" class="form-control">
										<option value="">select persona</option>
										<?php
										foreach($all_personas as $persona)
										{
											$selected = ($persona['id'] == $this->input->post('persona_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$persona['id'].'" '.$selected.'>'.$persona['nom_ape'].'</option>';
										}
										?>
									</select>
								</div>
							</div>
							<div class="col-md-6">
								<label for="estado_id" class="control-label">Estado</label>
								<div class="form-group">
									<select name="estado_id" class="form-control">
										<option value="">select estado</option>
										<?php
										foreach($all_estados as $estado)
										{
											$selected = ($estado['id'] == $this->input->post('estado_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$estado['id'].'" '.$selected.'>'.$estado['estado_nombre'].'</option>';
										}
										?>
									</select>
								</div>
							</div>
							<div class="col-md-6">
								<label for="fecha" class="control-label">Fecha</label>
								<div class="form-group">
									<input type="text" name="fecha" value="<?php echo $this->input->post('fecha'); ?>" class="form-control" id="fecha" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="email" class="control-label">Email</label>
								<div class="form-group">
									<input type="text" name="email" value="<?php echo $this->input->post('email'); ?>" class="form-control" id="email" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="ape_nom" class="control-label">Ape Nom</label>
								<div class="form-group">
									<input type="text" name="ape_nom" value="<?php echo $this->input->post('ape_nom'); ?>" class="form-control" id="ape_nom" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="dni" class="control-label">Dni</label>
								<div class="form-group">
									<input type="text" name="dni" value="<?php echo $this->input->post('dni'); ?>" class="form-control" id="dni" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="estado_civil" class="control-label">Estado Civil</label>
								<div class="form-group">
									<input type="text" name="estado_civil" value="<?php echo $this->input->post('estado_civil'); ?>" class="form-control" id="estado_civil" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="fecha_titular_vivienda" class="control-label">Fecha Titular Vivienda</label>
								<div class="form-group">
									<input type="text" name="fecha_titular_vivienda" value="<?php echo $this->input->post('fecha_titular_vivienda'); ?>" class="form-control" id="fecha_titular_vivienda" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="grupo_familiar" class="control-label">Grupo Familiar</label>
								<div class="form-group">
									<input type="text" name="grupo_familiar" value="<?php echo $this->input->post('grupo_familiar'); ?>" class="form-control" id="grupo_familiar" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="telefono" class="control-label">Telefono</label>
								<div class="form-group">
									<input type="text" name="telefono" value="<?php echo $this->input->post('telefono'); ?>" class="form-control" id="telefono" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="domicilio" class="control-label">Domicilio</label>
								<div class="form-group">
									<input type="text" name="domicilio" value="<?php echo $this->input->post('domicilio'); ?>" class="form-control" id="domicilio" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="localidad" class="control-label">Localidad</label>
								<div class="form-group">
									<input type="text" name="localidad" value="<?php echo $this->input->post('localidad'); ?>" class="form-control" id="localidad" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="registro_propiedad" class="control-label">Registro Propiedad</label>
								<div class="form-group">
									<input type="text" name="registro_propiedad" value="<?php echo $this->input->post('registro_propiedad'); ?>" class="form-control" id="registro_propiedad" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="zona_vivienda" class="control-label">Zona Vivienda</label>
								<div class="form-group">
									<input type="text" name="zona_vivienda" value="<?php echo $this->input->post('zona_vivienda'); ?>" class="form-control" id="zona_vivienda" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="servicios_publicos_zona" class="control-label">Servicios Publicos Zona</label>
								<div class="form-group">
									<input type="text" name="servicios_publicos_zona" value="<?php echo $this->input->post('servicios_publicos_zona'); ?>" class="form-control" id="servicios_publicos_zona" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="material_vivienda" class="control-label">Material Vivienda</label>
								<div class="form-group">
									<input type="text" name="material_vivienda" value="<?php echo $this->input->post('material_vivienda'); ?>" class="form-control" id="material_vivienda" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="fuente_ingresos" class="control-label">Fuente Ingresos</label>
								<div class="form-group">
									<input type="text" name="fuente_ingresos" value="<?php echo $this->input->post('fuente_ingresos'); ?>" class="form-control" id="fuente_ingresos" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="ingresos_familiar" class="control-label">Ingresos Familiar</label>
								<div class="form-group">
									<input type="text" name="ingresos_familiar" value="<?php echo $this->input->post('ingresos_familiar'); ?>" class="form-control" id="ingresos_familiar" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="nom_ape_garante" class="control-label">Nom Ape Garante</label>
								<div class="form-group">
									<input type="text" name="nom_ape_garante" value="<?php echo $this->input->post('nom_ape_garante'); ?>" class="form-control" id="nom_ape_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="dni_garante" class="control-label">Dni Garante</label>
								<div class="form-group">
									<input type="text" name="dni_garante" value="<?php echo $this->input->post('dni_garante'); ?>" class="form-control" id="dni_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="estado_civil_garante" class="control-label">Estado Civil Garante</label>
								<div class="form-group">
									<input type="text" name="estado_civil_garante" value="<?php echo $this->input->post('estado_civil_garante'); ?>" class="form-control" id="estado_civil_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="domicilio_garante" class="control-label">Domicilio Garante</label>
								<div class="form-group">
									<input type="text" name="domicilio_garante" value="<?php echo $this->input->post('domicilio_garante'); ?>" class="form-control" id="domicilio_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="localidad_garante" class="control-label">Localidad Garante</label>
								<div class="form-group">
									<input type="text" name="localidad_garante" value="<?php echo $this->input->post('localidad_garante'); ?>" class="form-control" id="localidad_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="lugar_trabajo_garante" class="control-label">Lugar Trabajo Garante</label>
								<div class="form-group">
									<input type="text" name="lugar_trabajo_garante" value="<?php echo $this->input->post('lugar_trabajo_garante'); ?>" class="form-control" id="lugar_trabajo_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="ingresos_garante" class="control-label">Ingresos Garante</label>
								<div class="form-group">
									<input type="text" name="ingresos_garante" value="<?php echo $this->input->post('ingresos_garante'); ?>" class="form-control" id="ingresos_garante" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="fecha_armar_carpeta" class="control-label">Fecha Armar Carpeta</label>
								<div class="form-group">
									<input type="text" name="fecha_armar_carpeta" value="<?php echo $this->input->post('fecha_armar_carpeta'); ?>" class="form-control" id="fecha_armar_carpeta" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="tecnico_asignado_factivilidad" class="control-label">Tecnico Asignado Factivilidad</label>
								<div class="form-group">
									<input type="text" name="tecnico_asignado_factivilidad" value="<?php echo $this->input->post('tecnico_asignado_factivilidad'); ?>" class="form-control" id="tecnico_asignado_factivilidad" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="fecha_visita_factibilidad" class="control-label">Fecha Visita Factibilidad</label>
								<div class="form-group">
									<input type="text" name="fecha_visita_factibilidad" value="<?php echo $this->input->post('fecha_visita_factibilidad'); ?>" class="form-control" id="fecha_visita_factibilidad" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="fecha_presentacion_informe" class="control-label">Fecha Presentacion Informe</label>
								<div class="form-group">
									<input type="text" name="fecha_presentacion_informe" value="<?php echo $this->input->post('fecha_presentacion_informe'); ?>" class="form-control" id="fecha_presentacion_informe" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="evaluador_asignado" class="control-label">Evaluador Asignado</label>
								<div class="form-group">
									<input type="text" name="evaluador_asignado" value="<?php echo $this->input->post('evaluador_asignado'); ?>" class="form-control" id="evaluador_asignado" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="estado" class="control-label">Estado</label>
								<div class="form-group">
									<input type="text" name="estado" value="<?php echo $this->input->post('estado'); ?>" class="form-control" id="estado" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AC" class="control-label">AC</label>
								<div class="form-group">
									<input type="text" name="AC" value="<?php echo $this->input->post('AC'); ?>" class="form-control" id="AC" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AD" class="control-label">AD</label>
								<div class="form-group">
									<input type="text" name="AD" value="<?php echo $this->input->post('AD'); ?>" class="form-control" id="AD" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AE" class="control-label">AE</label>
								<div class="form-group">
									<input type="text" name="AE" value="<?php echo $this->input->post('AE'); ?>" class="form-control" id="AE" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AF" class="control-label">AF</label>
								<div class="form-group">
									<input type="text" name="AF" value="<?php echo $this->input->post('AF'); ?>" class="form-control" id="AF" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AG" class="control-label">AG</label>
								<div class="form-group">
									<input type="text" name="AG" value="<?php echo $this->input->post('AG'); ?>" class="form-control" id="AG" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AH" class="control-label">AH</label>
								<div class="form-group">
									<input type="text" name="AH" value="<?php echo $this->input->post('AH'); ?>" class="form-control" id="AH" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AI" class="control-label">AI</label>
								<div class="form-group">
									<input type="text" name="AI" value="<?php echo $this->input->post('AI'); ?>" class="form-control" id="AI" />
								</div>
							</div>
							<div class="col-md-6">
								<label for="AJ" class="control-label">AJ</label>
								<div class="form-group">
									<input type="text" name="AJ" value="<?php echo $this->input->post('AJ'); ?>" class="form-control" id="AJ" />
								</div>
							</div>
						</div>
					</div>
		          	<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
		            		<i class="fa fa-check"></i> Save
		            	</button>
		          	</div>
		            <?php echo form_close(); ?>
		      	</div>
		    </div>
		</div>
	</div>
</div>
 </section>