<link href="https://cdn.datatables.net/v/dt/dt-2.0.2/datatables.min.css" rel="stylesheet">

<script src="https://code.jquery.com/jquery-3.7.1.js"></script>
<script src="https://cdn.datatables.net/v/dt/dt-2.0.2/datatables.min.js"></script>
<script src="<?php echo base_url('assets/jqueryNumber/jquerynumber.min.js'); ?>"></script>


<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Nueva Entrega de Art&iacute;culos</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
             <li class="breadcrumb-item"><a href="<?php echo base_url('EntregasCompras'); ?>">Listar Entrega</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   <div class="row">
	      <div class="col-sm-7">
		       <div class="card card-outline card-warning">
		          <div class="card-header">

	              </div>

	                <form role="form" class="formularioVenta" action="<?php base_url('EntregasCompras/add') ?>" method="post" class="form-horizontal">

			<div class="box-body">
              <div class="box">

                <!--=====================================
                ENTRADA DEL VENDEDOR
                ======================================-->

                <div class="col-md-12">
					<label for="observaciones" class="control-label">Usuario</label>
					<div class="form-group">
						<input type="text" name="nuevoVendedor" value="<?php echo $this->session->userdata('ape_nom'); ?>" class="form-control" id="nuevoVendedor" readonly/>
						<input type="hidden" name="idVendedor" value=" <?php echo $this->session->userdata('user_id'); ?>">
					</div>
				 </div>

                <!--=====================================
                ENTRADA DEL CDIGO
                ======================================-->



                <!--=====================================
                ENTRADA DEL AREA
                ======================================-->

				<div class="col-md-12">
					<label for="empleado_id" class="control-label"><span class="text-danger">*</span>Retir&oacute;</label>

					<div class="form-group">
						<select name="empleado_id" class="form-control" required>
							<option value="">seleccionar persona</option>
							<?php
							foreach($all_empleados as $empleado)
							{
								$selected = ($empleado['id'] == $this->input->post('empleado_id')) ? ' selected="selected"' : "";

								echo '<option value="'.$empleado['id'].'" '.$selected.'>'.$empleado['title'].'</option>';
							}
							?>
						</select>
						<span class="text-danger"><?php echo form_error('empleado_id');?></span>
					</div>

				</div>

				 <div class="col-md-12">
					<label for="observaciones" class="control-label">Observaciones</label>
					<div class="form-group">
						<input type="text" name="observaciones" value="<?php echo $this->input->post('observaciones'); ?>" class="form-control" id="observaciones" />
						<span class="text-danger"><?php echo form_error('observaciones');?></span>
					</div>
				 </div>


                <!--=====================================
                ENTRADA PARA AGREGAR PRODUCTO
                ======================================-->
                <span class="text-danger"><?php echo form_error('listaProductos');?></span>
                <div class="row" style="padding:5px 15px">
                	<div class="col-md-6" style="padding-right:0px">
	            		<div class="input-group"><b># Producto</b></div>
	         		</div>
	          		<div class="col-md-6">
	            		<div class="input-group"><b>Cantidad</b></div>
	          		</div>
	        	</div>
                <div class="form-group row nuevoProducto">



                </div>

                <input type="hidden" id="listaProductos" name="listaProductos">
                <hr>
              </div>

          </div>

          <div class="box-footer">

            <button type="submit" class="btn btn-primary pull-right">Guardar Entrega</button>

          </div>

        </form>

	             </div>
	      </div>
	       <div class="col-sm-5">
		       <div class="card card-outline card-success">
		          <div class="card-header">
	              </div>
	              <div class="card-body">

                  <!--=====================================
      				LA TABLA DE PRODUCTOS
      			======================================-->
               <table class="table table-bordered table-striped dt-responsive" id="tablaVentas">

               <thead>

                 <tr>
                  <th style="width: 10px">#</th>
                  <th>Ima</th>
                  <th>Descripci&oacute;n</th>
                  <th>Stock</th>
                  <th>Acciones</th>
                </tr>

              </thead>

            </table>


                 </div>
	             </div>
	      </div>

	    </div>
	  </div>
	</div>
 </section>



<script>
/*=============================================
CARGAR LA TABLA DINMICA DE VENTAS
=============================================*/
$('#tablaVentas').DataTable( {
    "ajax": "get_all_productos",
    "deferRender": true,
	"retrieve": true,
	"processing": true,
	 "language": {

			"sProcessing":     "Procesando...",
			"sLengthMenu":     "Mostrar _MENU_ registros",
			"sZeroRecords":    "No se encontraron resultados",
			"sEmptyTable":     "Ning&uacute;n dato disponible en esta tabla",
			"sInfo":           "Mostrando reg. del _START_ al _END_ de un total de _TOTAL_",
			"sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0",
			"sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
			"sInfoPostFix":    "",
			"sSearch":         "Buscar:",
			"sUrl":            "",
			"sInfoThousands":  ",",
			"sLoadingRecords": "Cargando...",
			"oPaginate": {
			"sFirst":    "&laquo;",
			"sLast":     "&raquo;",
			"sNext":     "&rsaquo;",
			"sPrevious": "&lsaquo;"
			},
			"oAria": {
				"sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
				"sSortDescending": ": Activar para ordenar la columna de manera descendente"
			}

	}

} );


/*=============================================
AGREGANDO PRODUCTOS A LA VENTA DESDE LA TABLA
=============================================*/

$("#tablaVentas tbody").on("click", "button.agregarProducto", function(){

	var idProducto = $(this).attr("idProducto");

	$(this).removeClass("btn-primary agregarProducto");

	$(this).addClass("btn-default");

	var datos = new FormData();
    datos.append("idProducto", idProducto);

     $.ajax({

     	url:"get_producto",
      	method: "POST",
      	data: datos,
      	cache: false,
      	contentType: false,
      	processData: false,
      	dataType:"json",
      	success:function(respuesta){

      	    var descripcion = respuesta["descripcion"];
          	var stock = respuesta["stock"];
          	var precio = respuesta["precio_venta"];

          	/*=============================================
          	EVITAR AGREGAR PRODUTO CUANDO EL STOCK EST EN CERO
          	=============================================*/

          	if(stock == 0){

      			alert("No hay stock disponible");
			    return;

          	}

          	$(".nuevoProducto").append(

          	'<div class="row" style="padding:5px 15px">'+

			  '<!-- Descripcin del producto -->'+

	          '<div class="col-md-10" style="padding-right:0px">'+

	            '<div class="input-group">'+

	              '<span class="input-group-addon"><button type="button" class="btn btn-danger btn-xs quitarProducto" idProducto="'+idProducto+'"><i class="fa fa-times"></i></button></span>'+

	              '<input type="text" class="form-control nuevaDescripcionProducto" idProducto="'+idProducto+'" name="agregarProducto" value="'+descripcion+'" readonly required>'+

	            '</div>'+

	          '</div>'+

	          '<!-- Cantidad del producto -->'+

	          '<div class="col-md-2">'+

	             '<input type="number" class="form-control nuevaCantidadProducto" name="nuevaCantidadProducto" min="1" value="1" stock="'+stock+'" nuevoStock="'+Number(stock-1)+'" required>'+

	          '</div>' +

	        '</div>')

	        // SUMAR TOTAL DE PRECIOS


	        // AGRUPAR PRODUCTOS EN FORMATO JSON

	        listarProductos()

			localStorage.removeItem("quitarProducto");

      	}

     })

});

/*=============================================
MODIFICAR LA CANTIDAD
=============================================*/

$(".formularioVenta").on("change", "input.nuevaCantidadProducto", function(){

	var nuevoStock = Number($(this).attr("stock")) - $(this).val();

	$(this).attr("nuevoStock", nuevoStock);

    // AGRUPAR PRODUCTOS EN FORMATO JSON

    listarProductos()

})

/*=============================================
LISTAR TODOS LOS PRODUCTOS
=============================================*/

function listarProductos(){


	var listaProductos = [];

	var descripcion = $(".nuevaDescripcionProducto");

	var observacion = $(".nuevaObservacionProducto");

	var cantidad = $(".nuevaCantidadProducto");

	var precio = $(".nuevoPrecioProducto");

	for(var i = 0; i < descripcion.length; i++){

		listaProductos.push({ "id" : $(descripcion[i]).attr("idProducto"),
							  "descripcion" : $(descripcion[i]).val(),
							  "observacion" : $(observacion[i]).val(),
							  "cantidad" : $(cantidad[i]).val(),
							  "stock" : $(cantidad[i]).attr("nuevoStock"),
							  "precio" : $(precio[i]).attr("precioReal"),
							  "total" : $(precio[i]).val()})

	}

	$("#listaProductos").val(JSON.stringify(listaProductos));

}

/*=============================================
QUITAR PRODUCTOS Y RECUPERAR BOTN
=============================================*/

var idQuitarProducto = [];

localStorage.removeItem("quitarProducto");

$(".formularioVenta").on("click", "button.quitarProducto", function(){

	$(this).parent().parent().parent().parent().remove();

	var idProducto = $(this).attr("idProducto");

	/*=============================================
	ALMACENAR EN EL LOCALSTORAGE EL ID DEL PRODUCTO A QUITAR
	=============================================*/

	if(localStorage.getItem("quitarProducto") == null){

		idQuitarProducto = [];

	}else{

		idQuitarProducto.concat(localStorage.getItem("quitarProducto"))

	}

	idQuitarProducto.push({"idProducto":idProducto});

	localStorage.setItem("quitarProducto", JSON.stringify(idQuitarProducto));

	$("button.recuperarBoton[idProducto='"+idProducto+"']").removeClass('btn-default');

	$("button.recuperarBoton[idProducto='"+idProducto+"']").addClass('btn-primary agregarProducto');

	if($(".nuevoProducto").children().length == 0){

		$("#nuevoImpuestoVenta").val(0);
		$("#nuevoTotalVenta").val(0);
		$("#totalVenta").val(0);
		$("#nuevoTotalVenta").attr("total",0);

	}else{

		// SUMAR TOTAL DE PRECIOS

    	sumarTotalPrecios()

        // AGRUPAR PRODUCTOS EN FORMATO JSON

        listarProductos()

	}

})


$('#guardarproducto').click(function() {
    var form_data = {
        nuevoProducto: $('#nuevoProductoadd').val(),
        permite_stock: $('#nuevopermitestockadd').prop('checked'),
    };
    $.ajax({
        url: "add_producto",
        type: 'POST',
        data: form_data,
        success: function(msg) {

			if (msg > 0) {
                 agregarproducto(msg);
            	 document.querySelector('button[name=salirmodal]').click();
            }else {

            	 $('#alert-msg').html('<div class="alert alert-danger text-center">Error al ingresar los datos.</div>');
            }

        }
    });
    return false;
});


 document.addEventListener("keydown", function(e) {
      if (e.key === "Enter") {
        e.preventDefault();
      }
    });


 function agregarproducto(idProducto){

  var datos = new FormData();
    datos.append("idProducto", idProducto);

     $.ajax({

     	url:"get_producto",
      	method: "POST",
      	data: datos,
      	cache: false,
      	contentType: false,
      	processData: false,
      	dataType:"json",
      	success:function(respuesta){

      	    var descripcion = respuesta["descripcion"];
          	var stock = respuesta["stock"];
          	var precio = respuesta["precio_venta"];

          	$(".nuevoProducto").append(

          	'<div class="row" style="padding:5px 15px">'+

			  '<!-- Descripcin del producto -->'+

	          '<div class="col-sm-4" style="padding-right:0px">'+

	            '<div class="input-group">'+

	              '<span class="input-group-addon"><button type="button" class="btn btn-danger btn-xs quitarProducto" idProducto="'+idProducto+'"><i class="fa fa-times"></i></button></span>'+

	              '<input type="text" class="form-control nuevaDescripcionProducto" idProducto="'+idProducto+'" name="agregarProducto" value="'+descripcion+'" readonly required>'+

	            '</div>'+

	          '</div>'+

	           '<!-- Observacin del producto -->'+

	          '<div class="col-sm-4" style="padding-right:0px">'+

	            '<div class="input-group">'+

	              '<input type="text" class="form-control nuevaObservacionProducto" idProducto="'+idProducto+'" name="nuevaObservacionProducto" value="">'+

	            '</div>'+

	          '</div>'+

	          '<!-- Cantidad del producto -->'+

	          '<div class="col-sm-2">'+

	             '<input type="number" class="form-control nuevaCantidadProducto" name="nuevaCantidadProducto" min="1" value="1" stock="'+stock+'" nuevoStock="'+Number(stock-1)+'" required>'+

	          '</div>' +

	          '<!-- Precio del producto -->'+

	          '<div class="col-sm-2 ingresoPrecio" style="padding-left:0px">'+

	            '<div class="input-group">'+

	              '<span class="input-group-addon"><i class="ion ion-social-usd"></i></span>'+

	              '<input type="text" class="form-control nuevoPrecioProducto" precioReal="'+precio+'" name="nuevoPrecioProducto" value="'+precio+'" required>'+

	            '</div>'+

	          '</div>'+

	        '</div>')

	        // SUMAR TOTAL DE PRECIOS

	        sumarTotalPrecios()

	        // AGRUPAR PRODUCTOS EN FORMATO JSON

	        listarProductos()

	        // PONER FORMATO AL PRECIO DE LOS PRODUCTOS

	        $(".nuevoPrecioProducto").number(true, 2, ',', '.');


			localStorage.removeItem("quitarProducto");

      	}

     })
 }

</script>