<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Detalle</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('EntregasCompras'); ?>">Listar Entrega</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->

     <?php if($this->session->flashdata('success')): ?>
          						<div class="alert alert-success alert-dismissible" role="alert">
            						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            						<?php echo $this->session->flashdata('success');  ?>
            						 <?php $this->session->unset_userdata('success'); ?>
          						</div>
        						<?php elseif($this->session->flashdata('error')): ?>
          								<div class="alert alert-danger alert-dismissible" role="alert">
            									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            									<?php echo $this->session->flashdata('error'); ?>
            									 <?php $this->session->unset_userdata('error'); ?>
         									 </div>
        						<?php endif; ?>
<section class="content">
	<div class="container-fluid">
	   <div class="row">

	      <div class="col-sm-4">
		       <div class="card card-outline card-success">
		          <div class="card-header">
	              </div>
	              <div class="card-body">

	                <?php
                     if (!empty($ordencompra))
                     {
                       $hoy = date("Y-m-d");
					?>
	              	<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				                <thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
			                    <tr>
			                        <td><strong>ID</strong></td>
			                        <td><?php echo $ordencompra['id']; ?></td>
			                    </tr>
			                    <tr>
			                        <td><strong>Fecha Ingreso</strong></td>
								    <td><?php echo date("d/m/Y", strtotime($ordencompra['created'])); ?></td>
								</tr>
								<tr>
			                        <td><strong>Retir&oacute;</strong></td>
								    <td><?php echo $ordencompra['empleado']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>Observaciones</strong></td>
								    <td><?php echo $ordencompra['observaciones']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>Creado Por</strong></td>
								    <td><?php echo $ordencompra['first_name'] . ' ' . $ordencompra['last_name'] ; ?></td>
								</tr>
	                          </tbody>
			                </table>
			                <br />
			       	<?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	          <div class="col-sm-8">
		       <div class="card card-outline card-success">
		          <div class="card-header">
		          PRODUCTOS RETIRADOS
	              </div>
	              <div class="card-body">
	                  <?php
                     if (!empty($ordencompra))
                     {
					?>
	                 <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-historial">
						    <thead>
							    <tr>
									<th>Nombre</th>
									<th>Cantidad</th>
				                </tr>
			                    </thead>
			                	<tbody>
			                	  <?php

			                	  $listaProductos = json_decode($ordencompra['productos'], true);

			                	  foreach($listaProductos as $a){

			                	  ?>
				                    <tr>
										<td><?php echo $a['descripcion']; ?></td>
		                                <td><?php echo $a['cantidad']; ?></td>
				                    </tr>
				                    <?php } ?>
				           		</tbody>
			       	 </table>
			       	  	<?php
                     }
					?>
			         </div>
	             </div>
	        </div>

	       </div>
	      </div>
	   </div>

 </section>
