<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Microbanco: Cr&eacute;ditos</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
               <li class="breadcrumb-item"><a href="<?php echo base_url('Microbanco_credito'); ?>">Microbanco Cr&eacute;ditos</a></li>
             <li class="breadcrumb-item active">Detalle</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   <div class="row">
	      <div class="col-sm-4">
		       <div class="card card-outline card-success">
		          <div class="card-header">
	              </div>
	              <div class="card-body">
	                <?php
                     if (!empty($credito))
                     {
					?>
	              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-credito">
	              		<thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
			                    <tr>
									<td>ID</td>
									<td><?php echo $credito[0]['id']; ?></td>
								 </tr>
								 <tr>
									<td>Expediente</td>
									<td><?php echo $credito[0]['expediente_nro']; ?></td>
								 </tr>
								 <tr>
									<td>Nro de Resoluci&oacute;n</td>
									<td><?php echo $credito[0]['resolucion']; ?></td>
								 </tr>
								 <tr>
									<td>A&ntilde;o</td>
									<td><?php echo $credito[0]['anio']; ?></td>
								 </tr>
								 <tr>
									<td>Apellido y Nombre</td>
									<td><?php echo $credito[0]['ape_nom']; ?></td>
								 </tr>
								 <tr>
									<td>Localidad</td>
									<td><?php echo $credito[0]['localidad']; ?></td>
								 </tr>
								 <tr>
									<td>Actividad</td>
									<td><?php echo $credito[0]['actividad']; ?></td>
								 </tr>
								 <tr>
									<td>Fecha Otorgamiento</td>
									<td><?php echo $credito[0]['fecha_otorgamiento']; ?></td>
								 </tr>
								 <tr>
									<td>Cantidad de Meses</td>
									<td><?php echo $credito[0]['cant_cuotas']; ?></td>
								 </tr>
								 <tr>
									<td>Cuotas Pagas</td>
									<td><?php echo $credito[0]['cuotas_pagas']; ?></td>
								 </tr>
								 <tr>
									<td>Monto Otorgado</td>
									<td><?php echo number_format($credito[0]['monto_otorgamiento'],2 ,",", "."); ?></td>
								 </tr>
								  <tr>
									<td>Total del Cr&eacute;dito</td>
									<td><?php echo number_format($credito[0]['cal_total_credito'],2 ,",", "."); ?></td>
								 </tr>
								 <tr>
									<td>Total Pagado</td>
									<td><span class="badge badge-success"><?php echo number_format($credito[0]['cal_total_depositado'],2 ,",", "."); ?></span></td>
								 </tr>
								 <?php
                                  $pendiente_pago = $credito[0]['cal_total_credito'] - $credito[0]['cal_total_depositado'];
                                  if  ($pendiente_pago >= 0){
								   ?>
								    <td>Pendiente de Pago</td>
									<td><span class="badge badge-danger"><?php echo number_format($pendiente_pago ,2 ,",", "."); ?></span></td>
							 <?php } else {
								   ?>
								   <td>Saldo a Favor</td>
								   <td><span class="badge badge-success"><?php echo number_format($pendiente_pago ,2 ,",", "."); ?></span></td>
							 <?php }    ?>



							        <?php
                                  if  ($credito[0]['finalizado'] == 1){
								   ?>
									<tr>
									<td>Estado del Cr&eacute;dito</td>
									<td><span class="badge badge-danger"> FINALIZADO </span></td>
								   </tr>
								   <tr>
									<td>Fecha de Finalizaci&oacute;n</td>
									<td><span class="badge badge-danger"><?php echo  date("d/m/Y", strtotime($credito[0]['finalizadoFecha'])); ?></span></td>
								   </tr>
								  <?php }    ?>

								 <tr>
									<td>Acciones</td>
									<td>
		                            <a href="<?php echo site_url('Microbanco_credito/edit/'.$credito[0]['id']); ?>" class="btn btn-info btn-xs"><span class="fas fa-edit"></span> Editar</a>
		                           <?php if  ($credito[0]['finalizado'] != 1){ ?>
		                            	<br/><br/>
		                            	<a href="<?php echo site_url('Microbanco_credito/finalizar/'.$credito[0]['id']); ?>" onClick="return confirm('Desea Finalizar el Cr\u00E9dito# <?php echo $credito[0]['expediente_nro']. ' - '.$credito[0]['ape_nom'] ; ?>')" data-userid="<?php echo $credito[0]['id']; ?>" title="Finalizar Cr\u00E9dito" class="btn btn-danger btn-xs"><span class="fa fa-edit"></span> Finalizar Cr&eacute;dito</a>
                                    <?php }    ?>
		                           </td>
			                    </tr>
		                     </thead>
			                <tbody>
		                </table>
			       <?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	      <div class="col-sm-8">
	          <div class="card card-outline card-success">
		          <div class="card-header">

                  <?php
                     if ($credito[0]['gerenar_cuota']==0)
                     {
					?>
		          			<a href="<?php echo site_url('Microbanco_credito/plan_cuotas/'.$credito[0]['id']); ?>" class="btn btn-primary btn-sm"><span class="fas fa-edit"></span> Generar plan de Cuotas</a>
                   <?php
                     }else {
                       if ($this->ion_auth->is_admin()){
						?>
					  		<a href="<?php echo site_url('Microbanco_credito/editar_plan_cuotas/'.$credito[0]['id']); ?>" class="btn btn-primary btn-sm"><span class="fas fa-edit"></span> Editar Plan de Cuotas</a>

						<?php
					   }
                     }
					?>
	              </div>
	              <div class="card-body">
	              <h5><b>Resumen del Cr&eacute;dito al <?php echo date("d-m-Y", strtotime($datos_mora['fecha_consulta'])); ?></b></h5>
	              <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-credito">
	              		<thead>
	              			<tr>
				                    <th>Total Cr&eacute;dito</th>
				                    <th>Pagado</th>
				                    <th>Cant. C. V.</th>
				                    <th>Deuda Vencida</th>
				                    <th>Deuda Total</th>
				                  </tr>
				                </thead>
				                <tbody>
				                <tr>
									<td><b><?php echo number_format($datos_mora['total_credito'],2 ,",", "."); ?></b></td>
									<td><span class="badge badge-success"><?php echo number_format($datos_mora['total_pagado'],2 ,",", "."); ?></span></td>
									<td><span class="badge badge-danger"><?php echo $datos_mora['cant_mora_cuota']; ?></span></td>
                                    <td>  <?php $saldo = (($datos_mora['total_a_pagar'] + $datos_mora['interes_mora']) - $datos_mora['total_pagado']);

                                      if ($saldo < 1){
									 	echo '<span class="badge badge-success">';
									 }else {
									 	echo '<span class="badge badge-danger">';
									 }
                                      ?>
                                   	<?php echo number_format($saldo,2 ,",", "."); ?></span></td>

                                    <td><span class="badge badge-danger"><?php echo number_format(($datos_mora['total_credito']-$datos_mora['total_pagado']+ $datos_mora['interes_mora']),2 ,",", "."); ?></span></td>

								 </tr>
								<tbody>
			      </table>
			      <br>
	              <h5><b>Plan de Cuotas</b></h5>

	              <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables_cuotas">
				    <thead>
					    <tr>
					        <th>Nro</th>
							<th>Tasa</th>
							<th>F. Venc.</th>
							<th>Monto</th>
							<th>Pago</th>
							<th>Depositado</th>
							<th>Mora</th>
							<th>Observ.</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php
	                	  $total=0;
                          $totalconMora=0;
	                	  foreach($credito_cuotas as $a){ ?>
		                    <tr>
								<td><?php echo $a['nro_cuota']; ?></td>
								<td><?php echo $a['tasa_interes']; ?></td>
								<td><?php echo $a['fecha_vencimiento']; ?></td>
								<td><?php echo number_format($a['monto_cuota'],2 ,",", "."); ?></td>
								<td><?php echo $a['fecha_pago']; ?></td>
								<td><?php if ($a['monto_depositado'] > 0) echo number_format($a['monto_depositado'],2 ,",", "."); ?></td>
								<td><?php
										if( ($a['monto_depositado'] <= 1) and ($a['diasven'] > 0)){											echo '<span class="badge badge-danger">'.number_format($a['monto_cuota']*$a['diasven']*0.0015,2 ,",", "."). '</span> ('.$a['diasven']. ' d)';
										}else {											if ($a['mora'] > 0){
												echo '<span class="badge badge-danger">' . number_format($a['mora'],2 ,",", "."). '</span>';
											}
										}
								?></td>
								<td><?php echo $a['observaciones']; ?></td>

								<td>
								   <a href="<?php echo site_url('Microbanco_credito/cuota_edit/'.$a['id']); ?>" class="btn btn-info btn-xs"><span class="fas fa-edit"></span> Editar</a>

		                        </td>
		                    </tr>
		                    <?php
		                     $total += $a['monto_depositado'];
		                    } ?>
		                     <tr>
					        <th></th>
							<th></th>
							<th></th>
							<th></th>
							<th></th>
							<th><?php echo number_format($total,2 ,",", "."); ?></th>
							<th></th>
							<th></th>
		                </tr>
		           		</tbody>
			       	 </table>
	               </div>
	             </div>
	      </div>
	   </div>
	</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-cuotas').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-3'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [ -1],
                [ "Todos"]
            ],
            'bPaginate': false,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": false,
            "bInfo": false,
            responsive: true
        });

        $('#dataTables-cuotas').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [ -1],
                [ "Todos"]
            ],
            'bPaginate': false,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": false,
            "bInfo": false,
            responsive: true
        });
    });
</script>