<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Microbanco: Cr&eacute;ditos</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Microbanco_credito'); ?>">Listar Cr&eacute;ditos</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open('Microbanco_credito/editar_verificar_cuotas/'.$credito['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
						    <div class="col-md-3">
								<label for="monto_otorgamiento" class="control-label">Monto Otorgamiento</label>
								<div class="form-group">
									<input type="text" name="monto_otorgamiento" value="<?php echo $credito['monto_otorgamiento']; ?>" class="form-control" id="monto_otorgamiento" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-2">
								<label for="cant_meses" class="control-label">Cantidad de Meses</label>
								<div class="form-group">
									<input type="text" name="cant_meses" value="<?php echo $credito['cant_meses']; ?>" class="form-control" id="cant_meses" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-2">
								<label for="meses_gracia" class="control-label">Meses de Gracia</label>
								<div class="form-group">
									<input type="text" name="meses_gracia" value="<?php echo ($this->input->post('meses_gracia') ? $this->input->post('meses_gracia') : $credito['meses_gracia']); ?>" class="form-control" id="meses_gracia" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-2">
								<label for="tasa_interes" class="control-label">Tasa de Interes (%)</label>
								<div class="form-group">
									<input type="text" name="tasa_interes" value="<?php echo $credito['tasa_interes']; ?>" class="form-control" id="tasa_interes" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-3">
								<label for="fecha_otorgamiento" class="control-label">Fecha Inicio Plan de Pagos</label>
								<div class="form-group">
									<input type="date" name="fecha_inicio" value="<?php echo $credito['fecha_inicio']; ?>" class="has-datepicker form-control" id="fecha_otorgamiento" readonly="readonly"/>
								 	<span class="text-danger"><?php echo form_error('fecha_inicio');?></span>
								</div>
							</div>
                           <div class="col-md-12">
							<table class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				            <thead>
			                    <tr>
			                        <th>ID</th>
									<th>Nro Cuota</th>
									<th>Fecha Vencimiento</th>
									<th>Monto Cuota</th>
			                    </tr>
			                    </thead>
			                	<tbody>
			                	<?php  $total_cuotas=0; ?>
								 <?php foreach($cuotas as $clave => $valor){ ?>
									<tr>
									 <td>
								    	<input type="text" name="id[<?php echo $clave; ?>]" value="<?php echo $valor['id']; ?>" class="form-control" id="id" readonly="readonly" />

								    </td>
								    <td>
								    	<input type="text" name="nro_cuota[<?php echo $clave; ?>]" value="<?php echo $valor['nro_cuota']; ?>" class="form-control" id="nro_cuota" readonly="readonly" />

								    </td>
								    <td>
								      <input type="text" name="fecha_vencimiento[<?php echo $clave; ?>]" value="<?php echo $valor['fecha_vencimiento']; ?>" class="has-datepicker form-control" id="fecha_inicio" readonly="readonly" />
								     </td>
								     <td>
								    	<input type="text" name="can_dia[<?php echo $clave; ?>]" value="<?php echo $valor['cant_dia']; ?>" class="form-control" id="cant_dia" readonly="readonly" />

								    </td>
								    <td>
								    	<input type="text" name="monto_cuota[<?php echo $clave; ?>]" value="<?php echo $valor['monto_cuota']; ?>" class="form-control" id="monto_cuota" readonly="readonly" />
								    </td>

								    </tr>
								    <?php   $total_cuotas += $valor['monto_cuota'];  ?>
								 <?php } ?>
							 	</tbody>
							 	   <tr>
			                        <th></th>
									<th></th>
									<th><?php echo number_format($total_cuotas,2 ,",", "."); ?></th>
			                    </tr>
		                	 </table>
		                	 </div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Confirmar Plan de Cuotas
						</button>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Microbanco_credito/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>