<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Microbanco - Listado de Cr&eacute;ditos - A&ntilde;o: <?php if($credito_x_anio == -1){ echo 'Todos'; } else { echo $credito_x_anio; }; ?></h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item active">Cr&eacute;ditos</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		    <div class="row">
          	<div class="col-12">
		         <div class="card card-primary">
		              <div class="card-header">
		                <h3 class="card-title">Resumen de los Cr&eacute;ditos Otorgados</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
                         <div class="row">
					         <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Total de Cr&eacute;ditos</span>
					                <span class="info-box-number"><?php echo $cant_creditos; ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>


			                  <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Monto Otorgado</span>
					                <span class="info-box-number">$ <?php echo number_format($pagos[0]['monto_otorgamiento'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
					           <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Total (M. Otorgado + Inter&eacute;s)</span>
					                <span class="info-box-number">$ <?php echo number_format($pagos[0]['total_credito'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
					          <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Monto Abonado</span>
					                <span class="info-box-number">$ <?php echo number_format($depositado[0]['monto_depositado'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
					          <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-danger elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Finalizados</span>
					                <span class="info-box-number"><?php echo $cant_finalizado[0]['cant_finalizado']; ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>

                         </div>
		               </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>

		<div class="row">
		    <div class="col-md-12">
		        <div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		                <div class="row">
		                 <div class="col-md-8">
		                 <?php
                   		if ($this->ion_auth->in_group('microbanco_creditos'))
          				{
						?>
		                  <a href="<?php echo site_url('Microbanco_credito/add_index'); ?>" class="btn btn-success btn-sm">Agregar Cr&eacute;dito</a>
                        <?php
                        }
						?>
                         </div>
    					 <div class="col-md-4">
		              	  <form class="form-inline" action="<?php echo base_url('Microbanco_credito/') ?>" method="POST">
		              	  <b>A&ntilde;o:&nbsp;</b>
		                       <select name="anio" class="form-control">
										<option value="-1">Todos</option>
										<?php
										$year = date("Y");
                 						for ($i= 2020; $i <= $year ; $i++)
										{
											$selected = ($i == $credito_x_anio) ? ' selected="selected"' : "";

											echo '<option value="'.$i.'" '.$selected.'>'.$i.'</option>';
										}
										?>
									</select>
							&nbsp;&nbsp;&nbsp;
                 			<button type="submit" class="btn btn-default margin-bottom">Filtrar</button>

		              	  </form>
		              	  </div>
		              	  </div>
		              </div>
		              <div class="card-body">
              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			            <thead>
		                    <tr>
								<th>ID</th>
								<th>Expediente</th>
								<th>Apellido y Nombre</th>
								<th>Localidad</th>
								<th>Fecha Otorgamiento</th>
								<th>Monto Otorgado</th>
								<th>Total del Cr&eacute;dito</th>
								<th nowrap>Cuotas Pagas</th>
								<th>Total Pagado</th>
								<th>Pendiente de Pago</th>
								<th>#M&aacute;s Info</th>
								 <?php
                   				if($this->ion_auth->in_group('microbanco_creditos'))
          						{
								?>
								<th>#Editar</th>
								 <?php
                        		}
								?>
		                    </tr>
		                     </thead>
			                <tbody>
		                    <?php foreach($creditos as $e){ ?>
		                    <tr>
								<td><?php
								   if ($e['gerenar_cuota'] == 1){
								   	   echo '<span class="badge badge-success">'. $e['id'].'</span>';
								   }else {
								   	   echo '<span class="badge badge-danger">'. $e['id'].'</span>';
								   }
								   ?></td>
								<td><?php echo $e['expediente_nro']; ?></td>
								<td><?php echo $e['ape_nom']; ?></td>
								<td><?php echo $e['localidad']; ?></td>
								<td><?php echo $e['fecha_otorgamiento']; ?></td>
								<td><?php echo number_format($e['monto_otorgamiento'],2 ,",", "."); ?></td>
								<td><?php echo number_format($e['cal_total_credito'],2 ,",", "."); ?></td>
								<td><?php echo $e['cuotas_pagas']; ?> de <?php echo $e['cant_cuotas']; ?></td>
								<td><span class="badge badge-success"><?php echo number_format($e['cal_total_depositado'],2 ,",", "."); ?></span></td>
								<?php
                                  $pendiente_pago = $e['cal_total_credito']-$e['cal_total_depositado'];
                                  if  ($pendiente_pago >= 0){
								   ?>
									<td><span class="badge badge-danger"><?php echo number_format($pendiente_pago ,2 ,",", "."); ?></span></td>
							 <?php } else {
								   ?>
								   <td><span class="badge badge-success"><?php echo number_format($pendiente_pago ,2 ,",", "."); ?></span></td>
							 <?php }    ?>
								<td>
								    <a class="btn btn-sm btn-primary" href="<?php echo site_url('Microbanco_credito/detalle/'.$e['id']); ?>" title="M&aacute;s Informaci&oacute;n">
			                          <i class="fa fa-plus-circle"></i>
			                        </a>
			               		</td>
			               		<?php
                   				if($this->ion_auth->in_group('microbanco_creditos'))
          						{
								?>
			               		<td>
			                         <a class="btn btn-sm btn-info" href="<?php echo site_url('Microbanco_credito/edit/'.$e['id']); ?>" title="Editar">
			                         	<i class="fas fa-edit"></i>
			                         </a>
		                         </td>
		                          <?php
                        		}
								?>
		                    </tr>
		                    <?php } ?>
		                    </tbody>
		                </table>

		            </div>
		        </div>
		    </div>
		</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
            dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [10, 15, 25, 50, -1],
                [10, 15, 25, 50, "Todos"]
            ],

            //Dil
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "Excel",
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": [],
            responsive: true
        });
    });
</script>
