<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Microbanco: Inscripci&oacute;n</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item"><a href="<?php echo base_url('Microbanco'); ?>">Microbanco</a></li>
              <li class="breadcrumb-item"><a href="<?php echo base_url('Microbanco/inscripciones/'); ?>">Inscripciones</a></li>
              <li class="breadcrumb-item active">Inscripci&oacute;n</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   <div class="row">
	      <div class="col-sm-6">
		       <div class="card card-outline card-success">
		          <div class="card-header">
	              </div>
	              <div class="card-body">
	                 <?php
                     if (!empty($inscripcion))
                     {
					?>
	              	<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				                <thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
			                    <tr>
			                        <td><strong>ID</strong></td>
			                        <td><?php echo $inscripcion['id']; ?></td>
			                    </tr>
			                     <tr>
			                        <td><strong>Situaci&oacute;n</strong></td>
								    <td><?php echo $inscripcion['situacion']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Convocatoria</strong></td>
			                        <td>
									 	<span class="badge <?php echo $inscripcion['color'];?>">
										 	   <?php echo $inscripcion['convocatoria'];?>
					                     </span>
									</td>
								</tr>
								 <tr>
			                        <td><strong>DNI</strong></td>
								    <td></td>
								</tr>
			                    <tr>
			                        <td><strong>Apellido y Nombre</strong></td>
								    <td><?php echo $inscripcion['ape_nom']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Email</strong></td>
								    <td><?php echo $inscripcion['email']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Sector</strong></td>
								    <td><?php echo $inscripcion['sector']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>Localidad</strong></td>
								    <td><?php echo $inscripcion['localidad']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Nueva en Marcha</strong></td>
								    <td><?php echo $inscripcion['nueva_en_marcha']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Inversi&oacute;n a Solicitar</strong></td>
								    <td><?php echo $inscripcion['inversion_a_solicitar']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Fecha Capacitaci&oacute;n</strong></td>
								    <td><?php echo $inscripcion['fecha_capacitacion']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Asistencia Capacitaci&oacute;n</strong></td>
								    <td><?php echo $inscripcion['asistencia']; ?></td>
								</tr>
			                    <tr>
			                        <td><strong>Asesor Asignado</strong></td>
								    <td><?php echo $inscripcion['asesor_asignado']; ?></td>
								</tr>
	                          </tbody>
			                </table>
			           <?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	      <div class="col-sm-6">
	          <div class="card card-outline card-success">
		          <div class="card-header">
		          Historial de Estados
	              </div>
	              <div class="card-body">
	              <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				    <thead>
					    <tr>
							<th>ID</th>
							<th>Estado</th>
							<th>Fecha</th>
							<th>Observaciones</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($asignacion_estados as $a){ ?>
		                    <tr>
								<td><?php echo $a['id']; ?></td>
								<td><?php echo $a['estado_nombre']; ?></td>
								<td><?php echo $a['fecha']; ?></td>
								<td><?php echo $a['observaciones']; ?></td>
								<td>
		                        </td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>
	               </div>
	             </div>
	      </div>
	   </div>
	</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [ -1],
                [ "Todos"]
            ],
            'bPaginate': false,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": false,
            "bInfo": false,
            responsive: true
        });
    });
</script>