<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Obra: Nueva Persona</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Obra'); ?>">Listar Obras</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		                <h1>Obra: <?php echo $obra['descripcion']; ?></h1>
		              </div>
		          <div class="card-body">
					<?php echo form_open('Obra/add_persona/'.$obra['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
							<div class="col-md-6">
								<label for="obrapersona_id" class="control-label"><span class="text-danger">*</span>Persona</label>
								<div class="form-group">
									<select name="obrapersona_id" class="form-control">
										<option value="">Seleccionar Persona</option>
										<?php
										foreach($all_personas as $per)
										{
											$selected = ($per['id'] == $this->input->post('obrapersona_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$per['id'].'" '.$selected.'>'.$per['apeynom'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('obrapersona_id');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="obrapersonatipo_id" class="control-label"><span class="text-danger">*</span>Tipo</label>
								<div class="form-group">
									<select name="obrapersonatipo_id" class="form-control">
										<option value="">Seleccionar Tipo</option>
										<?php
										foreach($all_personatipos as $tipo)
										{
											$selected = ($tipo['id'] == $this->input->post('obrapersonatipo_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$tipo['id'].'" '.$selected.'>'.$tipo['personatipo'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('obrapersonatipo_id');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="fechadesde" class="control-label">Fecha Desde</label>
								<div class="form-group">
									<input type="date" name="fechadesde" value="<?php echo $this->input->post('fechadesde'); ?>" class="has-datepicker form-control" id="fechadesde" />
								 	<span class="text-danger"><?php echo form_error('fechadesde');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="fechahasta" class="control-label">Fecha Hasta</label>
								<div class="form-group">
									<input type="date" name="fechahasta" value="<?php echo $this->input->post('fechahasta'); ?>" class="has-datepicker form-control" id="fechahasta" />
								 	<span class="text-danger"><?php echo form_error('fechahasta');?></span>
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Aceptar
						</button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Obra/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>