<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Obras</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
               <li class="breadcrumb-item"><a href="<?php echo base_url('Obra'); ?>">Listado de Obras</a></li>
             <li class="breadcrumb-item active">Detalle</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	  <div class="row">
	      <div class="col-sm-12 text-center">
	           <?php
                     if (!empty($obra))
                     {
					?>
					  <h3><b><?php echo $obra['expediente_nro']; ?> - <?php echo mb_strtoupper($obra['descripcion'], 'UTF-8'); ?> - <?php echo $obra['localidad']; ?> - <?php echo $obra['departamento']; ?></b></h3>
					 <?php
                     }
					?>

	       </div>
	       <div class="col-sm-12 text-center">
	       		 <div class="card card-outline card-danger">
		          <div class="card-header">
		          	<b>Botonera de ingreso de datos</b>
	              </div>
	              <div class="card-body">
	              	 <a href="<?php echo site_url('Obra/add_persona/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Personal</a>&nbsp;
	              	 <a href="<?php echo site_url('Obra/add_licitacion/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Licitaci&oacute;n</a>&nbsp;
                     <a href="<?php echo site_url('Obra/add_insumo/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Insumos a proveer por la Empresa</a>&nbsp;
                     <a href="<?php echo site_url('Obra/add_plazo/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Plazo de la Obra</a>&nbsp;
                     <a href="<?php echo site_url('Obra/add_presupuesto/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Presupuesto</a>&nbsp;
                     <a href="<?php echo site_url('Obra/add_archivo/'.$obra['id']); ?>" class="btn btn-success btn-sm"><span class="fas fa-plus-circle"></span>&nbsp;Agregar Archivo</a>&nbsp;
                 	 <a href="<?php echo site_url('Obra/edit_obrainicio/'.$obra['id']); ?>" class="btn btn-warning btn-sm"><span class="fas fa-edit"></span>&nbsp;Inicio de Obra</a>&nbsp;
                     <a href="<?php echo site_url('Obra/edit_obrafinalizacion/'.$obra['id']); ?>" class="btn btn-danger btn-sm"><span class="fa fa-calendar-times"></span>&nbsp;Finalizaci&oacute;n de Obra</a>&nbsp;

                 </div>
	        </div>

	   </div>
	   <div class="row">
	      <div class="col-sm-4">
		       <div class="card card-outline card-success">
		          <div class="card-header">
		          	<b>Datos de la Obra</b>
	              </div>
	              <div class="card-body">
	                <?php
                     if (!empty($obra))
                     {
					?>
	              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-credito">
	              		<thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
								 <tr>
									<td>Descripci&oacute;n</td>
									<td><?php echo mb_strtoupper($obra['descripcion'], 'UTF-8'); ?></td>
								 </tr>
								 <tr>
									<td>Nro de Expediente</td>
									<td><?php echo $obra['expediente_nro']; ?></td>
								 </tr>
								 <tr>
									<td>A&ntilde;o</td>
									<td><?php echo $obra['anio']; ?></td>
								 </tr>
								 <tr>
									<td>Departamento</td>
									<td><?php echo $obra['departamento']; ?></td>
								 </tr>
								 <tr>
									<td>Localidad</td>
									<td><?php echo $obra['localidad']; ?></td>
								 </tr>
								 <tr>
									<td>Tipo de Obra</td>
									<td><?php echo $obra['tipo']; ?></td>
								 </tr>
								 <tr>
									<td>Fecha Inicio del Proyecto</td>
									<td><?php echo  date("d/m/Y", strtotime($obra['inicio_proyecto'])); ?></td>
								 </tr>
								 <tr>
									<td>Observaciones</td>
									<td><?php echo $obra['observaciones']; ?></td>
								 </tr>
								 <tr>
									<td>Fecha Inicio de Obra</td>
									<td><?php echo  date("d/m/Y", strtotime($obra['fecha_iniciodeobra'])); ?></td>
								 </tr>
								 <tr>
									<td>Observaciones Inicio de Obra</td>
									<td><?php echo $obra['obrainicio_obs']; ?></td>
								 </tr>
								 <tr>
									<td>Prioridad</td>
									<td><span class="badge <?php echo $obra['prioridadcolor']; ?>"><?php echo $obra['prioridad']; ?></span></td>
								 </tr>
							        <?php
                                  if  ($obra['finalizado'] == 1){
								   ?>
									<tr>
									<td>Estado de la Obra</td>
									<td><span class="badge badge-danger"> FINALIZADO </span></td>
								   </tr>
								   <tr>
									<td>Fecha de Finalizaci&oacute;n de obra</td>
									<td><span class="badge badge-danger"><?php echo  date("d/m/Y", strtotime($obra['fecha_finalizaciondeobra'])); ?></span></td>
								   </tr>
								   <tr>
									<td>Observaciones Finalizaci&oacute;n de obra</td>
									<td><span class="badge badge-danger"><?php echo  date("d/m/Y", strtotime($obra['obrafinalizacion_obs'])); ?></span></td>
								   </tr>
								  <?php }    ?>

								 <tr>
									<td>Acciones</td>
									<td>
		                            <a href="<?php echo site_url('Obra/edit/'.$obra['id']); ?>" class="btn btn-info btn-sm"><span class="fas fa-edit"></span> Editar</a>
		                           </td>
			                    </tr>
		                     </thead>
			                <tbody>
		                </table>
			       <?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	      <div class="col-sm-8">
	          <div class="card card-outline card-success">
		          <div class="card-header">
		         <b>Personal Asignado del Proyecto</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-personas">
				    <thead>
					    <tr>
							<th>Nombre</th>
							<th>Cel</th>
							<th>Tipo</th>
							<th>Fecha Desde</th>
							<th>Fecha Hasta</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obrapersonas as $a){ ?>
		                    <tr>
								<td><?php echo $a['apeynom']; ?></td>
								<td><?php echo $a['cel']; ?></td>
								<td><?php echo $a['personatipo']; ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fechadesde'])); ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fechahasta'])); ?></td>

								<td>
								    <a href="<?php echo site_url('Obra/edit_persona/'.$a['id']); ?>" class="btn btn-sm btn-warning"><span class="fas fa-edit"></span></a>

		                        </td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>

            <div class="card card-outline card-success">
		          <div class="card-header">
		         	<b>Licitaci&oacute;n</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-personas">
				    <thead>
					    <tr>
							<th>Licitaci&oacute;n</th>
							<th>Nro</th>
							<th>A&ntilde;o</th>
                            <th>Fecha</th>
                            <th>Hora</th>
                            <th>Lugar</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obralicitacion as $a){ ?>
		                    <tr>
								<td><?php echo $a['title']; ?></td>
								<td><?php echo $a['nro']; ?></td>
								<td><?php echo $a['anio']; ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fecha_concurso'])); ?></td>
								<td><?php echo $a['hora_concurso']; ?></td>
								<td><?php echo $a['lugar_apertura']; ?></td>

								<td>
									<?php if ($a['anulado'] == 1) { ?>
									   <span class="badge badge-danger">Anulado: <?php echo date("d/m/Y", strtotime($a['anulado_fecha'])); ?> </span>
									<?php }else { ?>
									<a href="<?php echo site_url('Obra/ver_licitacion/'.$a['id']); ?>" class="btn btn-sm btn-success" title="Ampliar datos de la  Licitaci&oacute;n"><span class="fas fa-plus-circle"></span></a>&nbsp;
								    <a href="<?php echo site_url('Obra/edit_licitacion/'.$a['id']); ?>" class="btn btn-sm btn-warning" title="Modificar datos de la  Licitaci&oacute;n"><span class="fas fa-edit"></span></a>&nbsp;
                                   	<a href="<?php echo site_url('Obra/anular_licitacion/'.$a['id']); ?>" onClick="return confirm('Desea Finalizar la Obra# <?php echo $a['title']. ' - '.$a['nro'].' - '.$a['anio'] ; ?>')" data-userid="<?php echo $obra['id']; ?>" title="Anular Licitaci&oacute;n" class="btn btn-sm btn-danger"><span class="fa fa-calendar-times"></span></a>&nbsp;
                                    <?php } ?>
		                        </td>
		                    </tr>
		                     <tr>
		                     	<td colspan="7">
		                     			<table width="100%" class="table table-striped table-bordered table-hover">
										    <thead>
											    <tr>
													<th>Proveedor</th>
													<th>Sobre Nro</th>
													<th>P&oacute;liza Nro</th>
						                            <th>P&oacute;liza Monto</th>
						                            <th>Oferta</th>
						                            <th>Estado</th>
						                       </thead>
	                						<tbody>
		                     		 <?php foreach($obralicitacionproveedores as $b){ ?>
                                             <tr>
                                            <?php if ($a['id'] == $b['obraslicitacion_id']) { ?>
                                             	<td><?php echo $b['title']; ?></td>
                                             	<td><?php echo $b['sobreNro']; ?></td>
                                             	<td><?php echo $b['polizaNro']; ?></td>
                                             	<td><?php echo number_format($b['polizaMonto'] ,2 ,",", "."); ?></td>
                                             	<td><?php echo number_format($b['monto_oficial'] ,2 ,",", "."); ?></td>
                                             	<td><?php if($b['rechazado'] == 1){ ?>
                                             			<span class="badge badge-danger">Anulado</span></td>
                                             		 <?php }else { ?>
                                             		      <span class="badge badge-success">Aceptado</span></td>
                                             		  <?php } ?>

                                            <?php } ?>
                                            </tr>
                                      <?php } ?>
                                      	</tbody>
			       	 					</table>
		                     	</td>
		                     </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>

            <div class="card card-outline card-success">
		          <div class="card-header">
		         		<b>Plazos de la Obra</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-personas">
				    <thead>
					    <tr>
							<th>Plazos</th>
							<th>Tipo</th>
							<th>Fecha Desde</th>
                            <th>Fecha Hasta</th>
                            <th>Observaciones</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obraplazo as $a){ ?>
		                    <tr>
								<td><?php echo $a['cantidaddias']; ?></td>
								<td><?php echo $a['title']; ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fechadesde'])); ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fechahasta'])); ?></td>
								<td><?php echo $a['observaciones']; ?></td>
								<td>
								  <a href="<?php echo site_url('Obra/edit_plazo/'.$a['id']); ?>" class="btn btn-sm btn-warning" title="Modificar Plazo"><span class="fas fa-edit"></span></a>&nbsp;
          						</td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>

            <div class="card card-outline card-success">
		          <div class="card-header">
		         		<b>Presupuestos - Redeterminaciones - Multas</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-personas">
				    <thead>
					    <tr>
							<th>Tipo</th>
							<th>Monto</th>
                            <th>Observaciones</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obrapresupuesto as $a){ ?>
		                    <tr>
								<td><?php echo $a['title']; ?></td>
								<td><?php echo number_format($a['monto'] ,2 ,",", "."); ?></td>
								<td><?php echo $a['observaciones']; ?></td>
								<td>
								  <a href="<?php echo site_url('Obra/edit_presupuesto/'.$a['id']); ?>" class="btn btn-sm btn-warning" title="Modificar Presupuesto"><span class="fas fa-edit"></span></a>&nbsp;
          						</td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>

	           <div class="card card-outline card-success">
		          <div class="card-header">
		         		<b>Insumos a entregar por la Empresa</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-personas">
				    <thead>
					    <tr>
							<th>Descripci&oacute;n</th>
                            <th>Observaciones</th>
                            <th>Estado</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obrainsumos as $a){ ?>
		                    <tr>
								<td><?php echo $a['descripcion']; ?></td>
								<td><?php echo $a['observaciones']; ?></td>
								<td><?php echo $a['estado']; ?></td>
								<td>
								  <a href="<?php echo site_url('Obra/edit_insumo/'.$a['id']); ?>" class="btn btn-sm btn-warning" title="Modificar Insumo"><span class="fas fa-edit"></span></a>&nbsp;
          						</td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>



	           <div class="card card-outline card-success">
		          <div class="card-header">
		         		<b>Archivos del Proyecto</b>
	              </div>
	              <div class="card-body">
               	   <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-archivos">
				    <thead>
					    <tr>
							<th>Nombre</th>
							<th>Descripci&oacute;n</th>
							<th>Tipo</th>
							<th>Fecha</th>

							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($obraarchivos as $a){ ?>
		                    <tr>
								<td>
								<a href="<?php echo site_url('Obra/download_archivo/'.$a['id']); ?>" class="btn btn-sm btn-success" title="Descargar Archivo"><span class="fas fa-download"></span></a>

								<?php echo $a['filename']; ?></td>
								<td><?php echo $a['descripcion']; ?></td>
								<td><?php echo $a['archivotipo']; ?></td>
								<td><?php echo  date("d/m/Y", strtotime($a['fecha'])); ?></td>

								<td>
								    <a href="<?php echo site_url('Obra/edit_archivo/'.$a['id']); ?>" class="btn btn-sm btn-warning" title="Modificar"><span class="fas fa-edit"></span></a>

		                        </td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>

	              </div>
	           </div>

	       </div>
	   </div>
	</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-archivos').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-3'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
             lengthMenu: [
                [5, 10, 15,  -1],
                [5, 10, 15,  "Todos"]
            ],
            'bPaginate': true,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "https://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [],
            "order": false,
            "bInfo": false,
            responsive: true
        });
    });
</script>