<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Obra: Plazos de la Obra</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Obra'); ?>">Listar Obras</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open_multipart('Obra/edit_plazo/'.$plazo['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
							<div class="col-md-6">
								<label for="obrasplazotipo_id" class="control-label"><span class="text-danger">*</span>Plazo Tipos</label>
								<div class="form-group">
									<select name="obrasplazotipo_id" class="form-control">
										<option value="">Seleccionar Tipo</option>
										<?php
										foreach($all_plazos as $tipo)
										{
											$selected = ($tipo['id'] == $plazo['obrasplazotipo_id']) ? ' selected="selected"' : "";

											echo '<option value="'.$tipo['id'].'" '.$selected.'>'.$tipo['title'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('obrasplazotipo_id');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="cantidaddias" class="control-label"><span class="text-danger">*</span>Cantidad de D&iacute;as</label>
								<div class="form-group">
									<input type="text" name="cantidaddias" value="<?php echo ($this->input->post('cantidaddias') ? $this->input->post('cantidaddias') : $plazo['cantidaddias']); ?>" class="form-control" id="cantidaddias" />
									<span class="text-danger"><?php echo form_error('cantidaddias');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="fechadesde" class="control-label">Fecha Desde</label>
								<div class="form-group">
									<input type="date" name="fechadesde" value="<?php echo ($this->input->post('fechadesde') ? $this->input->post('fechadesde') : $plazo['fechadesde']); ?>" class="has-datepicker form-control" id="fechadesde" />
								 	<span class="text-danger"><?php echo form_error('fechadesde');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="fechahasta" class="control-label">Fecha Hasta</label>
								<div class="form-group">
									<input type="date" name="fechahasta" value="<?php echo ($this->input->post('fechahasta') ? $this->input->post('fechahasta') : $plazo['fechahasta']); ?>" class="has-datepicker form-control" id="fechahasta" />
								 	<span class="text-danger"><?php echo form_error('fechahasta');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="observaciones" class="control-label">Observaciones</label>
								<div class="form-group">
									<input type="text" name="observaciones" value="<?php echo ($this->input->post('observaciones') ? $this->input->post('observaciones') : $plazo['observaciones']); ?>" class="form-control" id="observaciones" />
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Aceptar
						</button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Obra/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>