<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Orden de Compra</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
             <li class="breadcrumb-item"><a href="<?php echo base_url('OrdenCompras'); ?>">Listar &Oacute;rdenes</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->

     <?php if($this->session->flashdata('success')): ?>
          						<div class="alert alert-success alert-dismissible" role="alert">
            						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            						<?php echo $this->session->flashdata('success');  ?>
            						 <?php $this->session->unset_userdata('success'); ?>
          						</div>
        						<?php elseif($this->session->flashdata('error')): ?>
          								<div class="alert alert-danger alert-dismissible" role="alert">
            									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            									<?php echo $this->session->flashdata('error'); ?>
            									 <?php $this->session->unset_userdata('error'); ?>
         									 </div>
        						<?php endif; ?>
<section class="content">
	<div class="container-fluid">
	   <div class="row">

	      <div class="col-sm-4">
		       <div class="card card-outline card-success">
		          <div class="card-header">
		    		 <?php
						if((!empty($ordencompra)) and ($ordencompra['estado_id'] != 3) and ($ordencompra['estado_id'] != 4))
	                     {
						?>
                   		    <a href="<?php echo site_url('OrdenCompras/estado/'.$ordencompra['id']); ?>" class="btn btn-success"><i class="fas fa-edit"></i> Cambiar Estado</a>
                        <?php
						}
						?>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a class="btn btn-warning" href="<?php echo site_url('OrdenCompras/imprimirOrden/'.$ordencompra['id']); ?>" title="Imprimir" Target='_blank'>
		                      <i class="fa fa-print"></i> Imprimir
		                </a>
	              </div>
	              <div class="card-body">

	                <?php
                     if (!empty($ordencompra))
                     {
                       $hoy = date("Y-m-d");
					?>
	              	<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				                <thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
			                    <tr>
			                        <td><strong>Orden Nro</strong></td>
			                        <td><?php echo $ordencompra['id']; ?></td>
			                    </tr>
			                    <tr>
			                        <td><strong>Fecha Ingreso</strong></td>
								    <td><?php echo date("d/m/Y", strtotime($ordencompra['fechaingreso'])); ?></td>
								</tr>
								<tr>
			                        <td><strong>&Aacute;rea Destino</strong></td>
								    <td><?php echo $ordencompra['area']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>Observaciones</strong></td>
								    <td><?php echo $ordencompra['observaciones']; ?></td>
								</tr>
								<tr>
			                        <td><strong>Importe</strong></td>
								    <td><?php echo number_format($ordencompra['totalorden'],2 ,",", "."); ?></td>
								</tr>
								<tr>
			                        <td><strong>A&ntilde;o</strong></td>
								    <td><?php echo $ordencompra['anio']; ?></td>
								</tr>
								<tr>
			                        <td><strong>Estado</strong></td>
								    <td><span class="badge <?php echo $ordencompra['estadoColor']; ?>"><?php echo $ordencompra['estado']; ?></span></td>
								</tr>
								 <tr>
			                        <td><strong>Creado Por</strong></td>
								    <td><?php echo $ordencompra['first_name'] . ' ' . $ordencompra['last_name'] ; ?></td>
								</tr>
	                          </tbody>
			                </table>
			                <br />
			                 <?php
						if((!empty($ordencompra)) and ($ordencompra['estado_id'] != 3) and ($ordencompra['estado_id'] != 4))
	                     {
						?>
			                 <a href="<?php echo site_url('OrdenCompras/anular/'.$ordencompra['id']); ?>" class="btn btn-danger"><i class="fas fa-times-circle"></i> Anular Orden</a>
	                     <?php
						}
						?>
			       <?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	          <div class="col-sm-8">
		       <div class="card card-outline card-success">
		          <div class="card-header">
		          ITEMS DE LA ORDEN DE COMPRA
	              </div>
	              <div class="card-body">
	                         <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-historial">
				    <thead>
					    <tr>
							<th>ID</th>
							<th>Articulo</th>
							<th>Observaci&oacute;n</th>
							<th>Cantidad</th>
							<th>Importe</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($itemscompra as $a){ ?>
		                    <tr>
		                    	<td><?php echo $a['id']; ?></td>
								<td><?php echo $a['producto_nombre']; ?></td>
								<td><?php echo $a['producto_observacion']; ?></td>
                                <td><?php echo $a['cantidad']; ?></td>
								<td>$ <?php echo number_format($a['importe'],2 ,",", "."); ?></td>
								<td>

								   <?php if (($ordencompra['estado_id'] != 3) and ($ordencompra['estado_id'] != 4)){  ?>
								       <?php if ($ordencompra['estado_id'] == 1){  ?>
								   			<a href="<?php echo site_url('OrdenCompras/itemedit/'.$a['id']); ?>" class="btn btn-info"><i class="fas fa-edit"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;

		            						<a href="<?php echo site_url('OrdenCompras/itemremove/'.$a['id']); ?>" class="btn btn-danger"><i class="fas fa-trash"></i></a>
           						       <?php }  ?>
           						   <?php }  ?>
           						</td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>
			         </div>
	             </div>

	             <div class="card card-outline card-danger">
		          <div class="card-header">
		          HISTORIAL DE ESTADOS
	              </div>
	              <div class="card-body">
			       	  <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-historialestados">
				    <thead>
					    <tr>
							<th>ID</th>
							<th>Estado</th>
							<th>Observaci&oacute;n</th>
							<th>Fecha</th>
							<th>Usuario</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	<?php foreach($historialEstados as $a){ ?>
		                    <tr>
		                    	<td><?php echo $a['id']; ?></td>
								<td><?php echo $a['estadonombre']; ?></td>
								<td><?php echo $a['observaciones']; ?></td>
                                <td><?php echo date("d/m/Y", strtotime($a['created'])); ?></td>
                                <td><?php echo $a['last_name']. ' ' . $a['first_name']; ?></td>
		                    </tr>
		                  <?php } ?>
		           		</tbody>
			       	 </table>

	               </div>
	             </div>
	      	  </div>

	       </div>
	      </div>
	   </div>

 </section>
