<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Personas Autorizadas</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url('Vehiculos'); ?>">Vehiculos</a></li>

            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		        <div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		                  <a href="<?php echo site_url('Vehiculo_autorizacion/add'); ?>" class="btn btn-success btn-sm">Nueva Persona</a>
		              </div>
		              <div class="card-body">
              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			            <thead>
		                    <tr>
								<th>ID</th>
								<th>Apellido y Nombre</th>
								<th>DNI</th>
								<th>Observaciones</th>
								<th>Activo</th>
								<th>Actions</th>
		                    </tr>
		                    </thead>
			                <tbody>
		                    <?php foreach($personas as $p){ ?>
		                    <tr>
								<td><?php echo $p['id']; ?></td>
								<td><?php echo $p['nom_ape']; ?></td>
								<td><?php echo $p['dni']; ?></td>
								<td><?php echo $p['observaciones']; ?></td>
								<td><?php echo $p['activo']; ?></td>
								<td>
		                            <a href="<?php echo site_url('Vehiculo_autorizacion/edit/'.$p['id']); ?>" class="btn btn-info btn-xs"><span class="fas fa-edit"></span> Editar</a>
		                            <a href="<?php echo site_url('Vehiculo_autorizacion/remove/'.$p['id']); ?>" class="btn btn-danger btn-xs"><span class="fas fa-trash"></span> Eliminar</a>
		                        </td>
		                    </tr>
		                    <?php } ?>
		                     </tbody>
		                </table>

		            </div>
		        </div>
		    </div>
		</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
            dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [10, 15, 25, 50, -1],
                [10, 15, 25, 50, "Todos"]
            ],

            //Dil
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "Excel",
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": [],
            responsive: true
        });
    });
</script>