   <script src="<?php echo base_url('assets/components/jquery/jquery.min.js'); ?>"></script>

  <link rel="stylesheet" href="<?php echo base_url('assets/components/bootstrap-calendar/css/calendar.min.css'); ?>">
  <link rel="stylesheet" href="<?php echo base_url('assets/components/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css'); ?>">

<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Vehiculos Calendario</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url('Vehiculos'); ?>">Vehiculos</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		         <div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		                  <a href="<?php echo site_url('Vehiculos_calendario/add'); ?>" class="btn btn-success btn-sm">Nueva Asignaci&oacute;n Vehicular</a>&nbsp;&nbsp;&nbsp;

		             </div>
		              <div class="card-body">

						  <div class="pull-right form-inline">
						    <div class="btn-group">
						      <button class="btn btn-primary" data-calendar-nav="prev">Anterior</button>
						      <button class="btn btn-default" data-calendar-nav="today">Hoy</button>
						      <button class="btn btn-primary" data-calendar-nav="next">Siguiente</button>
						    </div>

						    <div class="btn-group">
						      <button class="btn btn-warning" data-calendar-view="year">A&ntilde;o</button>
						      <button class="btn btn-warning active" data-calendar-view="month">Mes</button>
						      <button class="btn btn-warning" data-calendar-view="week">Semana</button>
						      <button class="btn btn-warning" data-calendar-view="day">D&iacute;a</button>
						    </div>
						  </div>
						  <h3></h3>

						  <div class="row">
							  <div class="col-xm-12 col-md-8">
							    <div id="calendar"></div>
							  </div>

							  <div class="col-xm-12 col-md-4">
							   <form action="index.php?action=nuevo" method="post">
							  <div class="form-group">
							    <label for="start">Fecha de inicio</label>
							    <div class="input-group date" id="datetimepicker1">
							      <input type="text" name="start" class="form-control" readonly /><span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
							    </div>
							  </div>

							  <div class="form-group">
							    <label for="end">Fecha de finalizaci&oacute;n</label>
							    <div class="input-group date" id="datetimepicker2">
							      <input type="text" name="end" class="form-control" readonly /><span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
							    </div>
							  </div>

							  <div class="form-group">
							    <label for="class">T&iacute;po de evento</label>
							    <select class="form-control" name="class">
							      <option value="event-info">Informaci&oacute;n</option>
							      <option value="event-success">Completado</option>
							      <option value="event-important">Importantante</option>
							      <option value="event-warning">Advertencia</option>
							      <option value="event-special">Especial</option>
							    </select>
							  </div>

							  <div class="form-group">
							    <label for="title">T&iacute;tulo</label>
							    <input type="text" name="title" class="form-control" placeholder="Introduce un t&iacute;tulo" autocomplete="off" required>
							  </div>

							  <div class="form-group">
							    <label for="body">Descripci&oacute;n</label>
							    <textarea name="body" class="form-control" required></textarea>
							  </div>

							  <div class="form-group">
							    <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-calendar"></span> Nuevo evento</button>
							  </div>
							</form>
							  </div>
						 </div>

		            </div>
		        </div>
		    </div>
		</div>
</div>
 </section>

 <div class="modal fade" id="events-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h3 class="modal-title">Evento</h3>
      </div>
      <div class="modal-body" style="height: 400px">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>


<script type="text/javascript" src="<?php echo base_url('assets/components/jstimezonedetect/jstz.min.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/bootstrap-calendar/js/language/es-ES.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/bootstrap-calendar/js/calendar.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/bootstrap-calendar/js/app.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/moment/moment.min.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/moment/locale/es.js'); ?>"></script>
<script type="text/javascript" src="<?php echo base_url('assets/components/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js'); ?>"></script>

<script>
  $('#datetimepicker1').datetimepicker({
    format: 'DD/MM/YYYY HH:mm',
    ignoreReadonly: true,
    minDate: moment(),
    showClear: true
  });

  $('#datetimepicker2').datetimepicker({
    format: 'DD/MM/YYYY HH:mm',
    ignoreReadonly: true,
    minDate: moment(),
    showClear: true
  });
</script>


