  <?php $fecha = str_replace(' ', 'T', $v_calendario['fecha_desde']);?>
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Actuaizar Vehiculo Calendario</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="<?php echo base_url('Vehiculos_calendario'); ?>">Vehiculos Calendario</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open('Vehiculos_calendario/edit/'.$v_calendario['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
							<div class="col-md-6">
								<label for="vehiculo_id" class="control-label"><span class="text-danger">*</span>Vehiculo</label>
								<div class="form-group">
									<select name="vehiculo_id" class="form-control">
										<option value="">Seleccionar Vehiculo</option>
										<?php
										foreach($all_vehiculos as $v)
										{
											$selected = ($v['id'] == $v_calendario['vehiculo_id']) ? ' selected="selected"' : "";


											echo '<option value="'.$v['id'].'" '.$selected.'>'.$v['nombre'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('vehiculo_id');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="vehiculo_autorizacion_id" class="control-label"><span class="text-danger">*</span>Persona Autorizada</label>
								<div class="form-group">
									<select name="vehiculo_autorizacion_id" class="form-control">
										<option value="">Seleccionar Persona Autorizada</option>
										<?php
										foreach($all_autorizaciones as $p)
										{
											$selected = ($p['id'] == $v_calendario['vehiculo_autorizacion_id']) ? ' selected="selected"' : "";


											echo '<option value="'.$p['id'].'" '.$selected.'>'.$p['nom_ape'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('vehiculo_autorizacion_id');?></span>
								</div>
							</div>
							<div class="col-md-4">
								<label for="fecha_desde" class="control-label"><span class="text-danger">*</span>Fecha Desde</label>
								<div class="form-group">
									<input type="datetime-local" name="fecha_desde" value="<?php echo ($this->input->post('fecha_desde') ? $this->input->post('fecha_desde') : $fecha); ?>" class="has-datepicker form-control" id="fecha_desde" />
								 	<span class="text-danger"><?php echo form_error('fecha_desde');?></span>
								</div>
							</div>
						    <div class="col-md-6">
								<label for="descripcion" class="control-label"><span class="text-danger">*</span>Descripci&oacute;n</label>
								<div class="form-group">
									<input type="text" name="descripcion" value="<?php echo ($this->input->post('descripcion') ? $this->input->post('descripcion') : $v_calendario['descripcion']); ?>" class="form-control" id="descripcion" />
									<span class="text-danger"><?php echo form_error('descripcion');?></span>
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Actualizar
						</button>
			        </div>
					<?php echo form_close(); ?>
					</div>
		   			 </div>
				</div>
		    </div>
		</div>
   </div>
 </section>

