<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Estados extends CI_Controller{
    function __construct()
    {
        parent::__construct();

	    if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}

        $this->load->model('EstadoProyecto_model');
    }

    /*
     * Listing of articulos
     */
    function index()
    {
        $data['estados'] = $this->EstadoProyecto_model->get_estados();
        $data['_view'] = 'estados/index';
        $this->load->view('layouts/main',$data);
    }

}
