<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Historial extends CI_Controller{
    function __construct()
    {
        parent::__construct();

        if (!$this->ion_auth->logged_in())
	    {
	      redirect('auth/login');
	    }else if (!$this->ion_auth->is_admin())
		{
			redirect('/', 'refresh');
		}
        $this->load->model('Historial_model');
    }

    /*
     * Listing of articulos
     */
    function index()
    {
        //enviar los datos del filtrado por fecha. ver calendario
        $fecha_hoy=date ("Y-m-d");
        $fecha_mes_ant = date("Y-m-d", strtotime(date("Y-m-d", strtotime(date("Y-m-d"))) . "-1 month" ) );

        $usuarios = $this->Historial_model->get_cant_ingresos_usuarios($fecha_mes_ant, $fecha_hoy);
        $cantidadIngreso = 0;
        $usurioNombre = '';
        foreach($usuarios as $u)
        {
           $usurioNombre        .= '"'.$u['userName'].'",';
           $cantidadIngreso     .= $u['cantidad']. ',';
        }

        $data['usuarioHistorial'] = $this->Historial_model->get_cant_process_usuarios($fecha_mes_ant, $fecha_hoy);

        $data['usurioNombre']  = $usurioNombre;
        $data['cantidadIngreso']  = $cantidadIngreso;

        $data['fecha'] = array('inicio'=> $fecha_mes_ant , 'fin'=>$fecha_hoy);

        $data['_view'] = 'dashboard/historial';
        $this->load->view('layouts/main',$data);
    }

}
