<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

require_once 'TCPDF/tcpdf.php';

// Extend the TCPDF class to create custom Header and Footer
class CAFESGPDF extends TCPDF {

    //Page header
    public function Header() {
        // Logo
        $image_file = K_PATH_IMAGES.'logo_cafesg.jpg';
        $this->Image($image_file, 0, 0, 40, '', 'JPG', '', 'T', false, 400, '', false, false, 0, false, false, false);
        // Set font
        $this->SetFont('helvetica', 'B', 9);

         $html = <<<EOD
        COMISION ADMINISTRADORA PARA EL FONDO ESPECIAL DE SALTO GRANDE
        <hr />
EOD;

        $this->writeHTMLCell(0, 0, 40 ,17, $html, 0, 1, 0, true, '', true);
        // Title
       // $this->Cell(0, 10, $html, 0, false, 'C', 0, '', 0, false, 'M', 'M');
    }

    // Page footer
    public function Footer() {
         // Position at 15 mm from bottom
        $this->SetY(-15);
        // Set font
        $this->SetFont('times', '',8);
        // Page number
       $html = '<hr /><font size="+1"><span>P&aacute;gina '. $this->getAliasNumPage().' de '.$this->getAliasNbPages().'</span><br/>CAFESG Oficina Central: San Juan 2097 - Concordia Entre R&iacute;os - CP:3200 - Tel: 0345-4252500 - 0345-4253330</font>';

       $this->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);

    }
}


?>
