<?php


class ObraArchivoTipo_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obrasarchivostipo($id)
    {
        return $this->db->get_where('obrasarchivostipos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obrasarchivostipos()
    {
        $this->db->order_by('archivotipo', 'asc');
        return $this->db->get('obrasarchivostipos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obrasarchivostipo($params)
    {
        $this->db->insert('obrasarchivostipos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obrasarchivostipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrasarchivostipos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obrasarchivostipo($id)
    {
        return $this->db->delete('obrasarchivostipos',array('id'=>$id));
    }
}
