<?php


class ObraDepartamento_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_departamento($id)
    {
        return $this->db->get_where('obrasdepartamentos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_departamentos()
    {
        $this->db->order_by('departamento', 'asc');
        return $this->db->get('obrasdepartamentos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_departamento($params)
    {
        $this->db->insert('obrasdepartamentos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_departamento($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrasdepartamentos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_departamento($id)
    {
        return $this->db->delete('obrasdepartamentos',array('id'=>$id));
    }
}
