<?php


class ObraInsumoEstado_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obrainsumoestado($id)
    {
        return $this->db->get_where('obrainsumoestados',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obrainsumoestados()
    {
        $this->db->order_by('title', 'asc');
        return $this->db->get('obrainsumoestados')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obrainsumoestado($params)
    {
        $this->db->insert('obrainsumoestados',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obrainsumoestado($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrainsumoestados',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obrainsumoestado($id)
    {
        return $this->db->delete('obrainsumoestados',array('id'=>$id));
    }
}
