<?php


class ObraTipo_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_obratipo($id)
    {
        return $this->db->get_where('obrastipos',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all_obratipos()
    {
        $this->db->order_by('tipo', 'asc');
        return $this->db->get('obrastipos')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_obratipo($params)
    {
        $this->db->insert('obrastipos',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_obratipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('obrastipos',$params);
    }

    /*
     * function to delete localidad
     */
    function delete_obratipo($id)
    {
        return $this->db->delete('obrastipos',array('id'=>$id));
    }
}
