<?php

class Vehiculo_tipo_evento_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    /*
     * Get localidad by id
     */
    function get_tipo($id)
    {
        return $this->db->get_where('vehiculo_tipo_evento',array('id'=>$id))->row_array();
    }

    /*
     * Get all localidades
     */
    function get_all()
    {
        $this->db->order_by('nombre', 'asc');
        return $this->db->get('vehiculo_tipo_evento')->result_array();
    }

    /*
     * function to add new localidad
     */
    function add_tipo($params)
    {
        $this->db->insert('vehiculo_tipo_evento',$params);
        return $this->db->insert_id();
    }

    /*
     * function to update localidad
     */
    function update_tipo($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('vehiculo_tipo_evento',$params);
    }

}
