<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Calefones: Cuotas</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Calefones_credito'); ?>">Listar Cr&eacute;ditos</a></li>
               <li class="breadcrumb-item"><a href="<?php echo base_url('Calefones_credito/detalle/'.$cuota['calefones_credito_id']); ?>">Detalle del Cr&eacute;dito</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open('Calefones_credito/cuota_edit/'.$cuota['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
						    <div class="col-md-8">
								<label for="ape_nom" class="control-label">Nombre y Apellido</label>
								<div class="form-group">
									<input type="text" name="ape_nom" value="<?php echo $cuota['ape_nom']; ?>" class="form-control" id="ape_nom" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-4">
								<label for="expediente_nro" class="control-label">Expediente CO</label>
								<div class="form-group">
									<input type="text" name="expediente_nro" value="<?php echo $cuota['expediente_nro']; ?>" class="form-control" id="expediente_nro" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-2">
								<label for="nro_cuota" class="control-label">Cuota Nro</label>
								<div class="form-group">
									<input type="text" name="nro_cuota" value="<?php echo $cuota['nro_cuota']; ?>" class="form-control" id="nro_cuota" readonly="readonly"/>
								</div>
							</div>
						    <div class="col-md-4">
								<label for="monto_cuota" class="control-label">Monto Cuota</label>
								<div class="form-group">
									<input type="text" name="monto_cuota" value="<?php echo number_format($cuota['monto_cuota'],2 ,",", "."); ?>" class="form-control" id="monto_cuota" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-4">
								<label for="fecha_vencimiento" class="control-label">Fecha Vencimiento de Cuota</label>
								<div class="form-group">
									<input type="date" name="fecha_vencimiento" value="<?php echo $cuota['fecha_vencimiento']; ?>" class="has-datepicker form-control" id="fecha_vencimiento" readonly="readonly"/>
								 	<span class="text-danger"><?php echo form_error('fecha_vencimiento');?></span>
								</div>
							</div>
							<div class="col-md-2">
								<label for="tasa_interes" class="control-label">Tasa de Interes (%)</label>
								<div class="form-group">
									<input type="text" name="tasa_interes" value="<?php echo $cuota['tasa_interes']; ?>" class="form-control" id="tasa_interes" readonly="readonly"/>
								</div>
							</div>
							<div class="col-md-4">
								<label for="fecha_pago" class="control-label">Fecha de Pago</label>
								<div class="form-group">
									<input type="date" name="fecha_pago" value="<?php echo ($this->input->post('fecha_pago') ? $this->input->post('fecha_pago') : $cuota['fecha_pago']); ?>" class="has-datepicker form-control" id="fecha_pago" />
								 	<span class="text-danger"><?php echo form_error('fecha_pago');?></span>
								</div>
							</div>
							 <div class="col-md-4">
								<label for="monto_depositado" class="control-label">Monto Depositado</label>
								<div class="form-group">
									<input type="text" name="monto_depositado" value="<?php echo ($this->input->post('monto_depositado') ? $this->input->post('monto_depositado') : $cuota['monto_depositado']); ?>" class="form-control" id="monto_depositado" />
								    <span class="text-danger"><?php echo form_error('monto_depositado');?></span>
								</div>
							</div>
							<div class="col-md-4">
								<label for="comment" class="control-label">Observaciones</label>
								<div class="form-group">
									<textarea name="observaciones" class="form-control" id="detalle"><?php echo ($this->input->post('observaciones') ? $this->input->post('observaciones') : $cuota['observaciones']); ?></textarea>
								</div>
							</div>

						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Actualizar
						</button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Calefones_credito/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>