<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Calefones: Cr&eacute;ditos</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Calefones_credito'); ?>">Listar Cr&eacute;ditos</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open('Calefones_credito/editar_plan_cuotas/'.$credito['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
						    <div class="col-md-3">
								<label for="monto_otorgamiento" class="control-label">Monto Otorgamiento</label>
								<div class="form-group">
									<input type="text" name="monto_otorgamiento" value="<?php echo ($this->input->post('monto_otorgamiento') ? $this->input->post('monto_otorgamiento') : $credito['monto_otorgamiento']); ?>" class="form-control" id="monto_otorgamiento" readonly="readonly"/>
								    <span class="text-danger"><?php echo form_error('monto_otorgamiento');?></span>
								</div>
							</div>
							<div class="col-md-2">
								<label for="cant_meses" class="control-label">Cantidad de Meses</label>
								<div class="form-group">
									<input type="text" name="cant_meses" value="<?php echo ($this->input->post('cant_meses') ? $this->input->post('cant_meses') : $credito['cant_meses']); ?>" class="form-control" id="cant_meses" readonly="readonly"/>
								    <span class="text-danger"><?php echo form_error('cant_meses');?></span>
								</div>
							</div>
							<div class="col-md-2">
								<label for="meses_gracia" class="control-label">Meses de Gracia</label>
								<div class="form-group">
									<input type="text" name="meses_gracia" value="<?php echo ($this->input->post('meses_gracia') ? $this->input->post('meses_gracia') : $credito['meses_gracia']); ?>" class="form-control" id="meses_gracia" />
								    <span class="text-danger"><?php echo form_error('meses_gracia');?></span>
								</div>
							</div>
							<div class="col-md-2">
								<label for="tasa_interes" class="control-label">Tasa de Interes (%)</label>
								<div class="form-group">
									<input type="text" name="tasa_interes" value="<?php echo ($this->input->post('tasa_interes') ? $this->input->post('tasa_interes') : $credito['tasa_interes']); ?>" class="form-control" id="cant_meses" readonly="readonly"/>
								    <span class="text-danger"><?php echo form_error('tasa_interes');?></span>
								</div>
							</div>
							<div class="col-md-3">
								<label for="fecha_otorgamiento" class="control-label">Fecha Inicio Plan de Pagos</label>
								<div class="form-group">
									<input type="date" name="fecha_otorgamiento" value="<?php echo ($this->input->post('fecha_otorgamiento') ? $this->input->post('fecha_otorgamiento') : $credito['fecha_otorgamiento']); ?>" class="has-datepicker form-control" id="fecha_otorgamiento" />
								 	<span class="text-danger"><?php echo form_error('fecha_otorgamiento');?></span>
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Aceptar
						</button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Calefones_credito/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
					<br/>
					<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables_cuotas">
				    <thead>
					    <tr>
					        <th>Nro</th>
							<th>Tasa</th>
							<th>F. Venc.</th>
							<th>Monto</th>
							<th>Pago</th>
							<th>Depositado</th>
							<th>Observ.</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php
	                	  $total_pagado=0;
	                	  $total_cuotas=0;

	                	  foreach($credito_cuotas as $a){ ?>
		                    <tr>
								<td><?php echo $a['nro_cuota']; ?></td>
								<td><?php echo $a['tasa_interes']; ?></td>
								<td><?php echo $a['fecha_vencimiento']; ?></td>
								<td><?php echo number_format($a['monto_cuota'],2 ,",", "."); ?></td>
								<td><?php echo $a['fecha_pago']; ?></td>
								<td><?php echo number_format($a['monto_depositado'],2 ,",", "."); ?></td>
								<td><?php echo $a['observaciones']; ?></td>
		                    </tr>
		                    <?php
		                     $total_pagado += $a['monto_depositado'];
		                     $total_cuotas += $a['monto_cuota'];
		                    } ?>
		                     <tr>
					        <th></th>
							<th></th>
							<th></th>
							<th><?php echo number_format($total_cuotas,2 ,",", "."); ?></th>
							<th></th>
							<th><?php echo number_format($total_pagado,2 ,",", "."); ?></th>
							<th></th>
							<th></th>
		                </tr>
		           		</tbody>
			       	 </table>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>