<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Microbanco</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item active">Microbanco</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">

	     <div class="row">
          	<div class="col-12">
		         <div class="card card-primary">
		              <div class="card-header">
		                <h3 class="card-title">Resumen de los Cr&eacute;ditos Otorgados</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
                         <div class="row">
                               <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Total de Cr&eacute;ditos</span>
					                <span class="info-box-number"><?php echo $cant_creditos; ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>

			                  <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Monto Otorgado</span>
					                <span class="info-box-number">$ <?php echo number_format($pagos[0]['monto_otorgamiento'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
					           <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Total (M. Otorgado + Inter&eacute;s)</span>
					                <span class="info-box-number">$ <?php echo number_format($pagos[0]['total_credito'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
					            <div class="col-12 col-sm-6 col-md-3">
					            <div class="info-box mb-3">
					              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-thumbs-up"></i></span>

					              <div class="info-box-content">
					                <span class="info-box-text">Monto Abonado</span>
					                <span class="info-box-number">$ <?php echo number_format($depositado[0]['monto_depositado'],2 ,",", "."); ?></span>
					              </div>
					              <!-- /.info-box-content -->
					            </div>
					            <!-- /.info-box -->
					          </div>
                         </div>
		               </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
	    </div>

	     <div class="row">
          	<div class="col-12">
		         <div class="card card-primary">
		              <div class="card-header">
		                <h3 class="card-title">Localidades - Monto Otorgado</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart_mo" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
	    </div>

	    <div class="row">
          	<div class="col-12">
		         <div class="card card-primary">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Situaciones</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart_1" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
	    </div>

	     <div class="row">
          	<div class="col-12">
		         <div class="card card-primary">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Localidades</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart_3" style="min-height: 250px; height: 400px; max-height: 400px; max-width: 100%; display: block; width: 487px;" width="487" height="400" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
	    </div>
        <div class="row">
          	<div class="col-6">
		         <div class="card card-info">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Asesores</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart" style="min-height: 250px; height: 300px; max-height: 300px; max-width: 100%; display: block; width: 487px;" width="487" height="300" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>



          	<div class="col-6">
		         <div class="card card-success">
		              <div class="card-header">
		                <h3 class="card-title">Inscripciones por Evaluadores</h3>

		                <div class="card-tools">
		                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
		                </div>
		              </div>
		              <div class="card-body">
		                <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
		                  <canvas id="stackedBarChart_2" style="min-height: 250px; height: 300px; max-height: 300px; max-width: 100%; display: block; width: 487px;" width="487" height="300" class="chartjs-render-monitor"></canvas>
		                </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		     </div>
		 </div>
        <?php

?>
	</div>

 </section>

 <script>
  $(function () {
    var areaChartData = {
      labels  : [<?php echo $talabels;?>],
      datasets: [
        {
          label               : 'Asesores',
          backgroundColor     : [<?php echo $tascolor;?>],
          borderColor         : [<?php echo $tascolor;?>],
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $tasdata;?>]
        },
      ]
    }

    var areaChartData2 = {
      labels  : [<?php echo $e_talabels;?>],
      datasets: [
        {
          label               : 'Evaluadores',
          backgroundColor     : [<?php echo $e_tascolor;?>],
          borderColor         : [<?php echo $e_tascolor;?>],
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $e_tasdata;?>]
        },
      ]
    }

     var areaChartData1 = {
      labels  : [<?php echo $s_talabels;?>],
      datasets: [
        {
          label               : 'Situaciones',
          backgroundColor     : [<?php echo $s_tascolor;?>],
          borderColor         : [<?php echo $s_tascolor;?>],
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $s_tasdata;?>]
        },
      ]
    }

     var areaChartData3 = {
      labels  : [<?php echo $l_talabels;?>],
      datasets: [
        {
          label               : 'Localidades',
          backgroundColor     : [<?php echo $l_tascolor;?>],
          borderColor         : [<?php echo $l_tascolor;?>],
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $l_tasdata;?>]
        },
      ]
    }

    var areaChartData4 = {
      labels  : [<?php echo $mo_talabels;?>],
      datasets: [
        {
          label               : 'Monto Otorgado',
          backgroundColor     : [<?php echo $mo_tascolor;?>],
          borderColor         : [<?php echo $mo_tascolor;?>],
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                :  [<?php echo $mo_tasdata;?>]
        },
      ]
    }

    //---------------------
    //- STACKED BAR CHART -
    //---------------------
    var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
    var stackedBarChartData = jQuery.extend(true, {}, areaChartData)

	var stackedBarChartCanvas_2 = $('#stackedBarChart_2').get(0).getContext('2d')
    var stackedBarChartData_2 = jQuery.extend(true, {}, areaChartData2)

    var stackedBarChartCanvas_1 = $('#stackedBarChart_1').get(0).getContext('2d')
    var stackedBarChartData_1 = jQuery.extend(true, {}, areaChartData1)

    var stackedBarChartCanvas_3 = $('#stackedBarChart_3').get(0).getContext('2d')
    var stackedBarChartData_3 = jQuery.extend(true, {}, areaChartData3)

    var stackedBarChartCanvas_4 = $('#stackedBarChart_mo').get(0).getContext('2d')
    var stackedBarChartData_4 = jQuery.extend(true, {}, areaChartData4)

    var stackedBarChartOptions = {
      responsive              : true,
      maintainAspectRatio     : false,
      scales: {
        xAxes: [{
          stacked: true,
        }],
        yAxes: [{
          stacked: true
        }]
      }
    }

    var stackedBarChart = new Chart(stackedBarChartCanvas, {
      type: 'bar',
      data: stackedBarChartData,
      options: stackedBarChartOptions
    })

    var stackedBarChart_2 = new Chart(stackedBarChartCanvas_2, {
      type: 'bar',
      data: stackedBarChartData_2,
      options: stackedBarChartOptions
    })

      var stackedBarChart_1 = new Chart(stackedBarChartCanvas_1, {
      type: 'bar',
      data: stackedBarChartData_1,
      options: stackedBarChartOptions
    })

      var stackedBarChart_3 = new Chart(stackedBarChartCanvas_3, {
      type: 'bar',
      data: stackedBarChartData_3,
      options: stackedBarChartOptions
    })

     var stackedBarChart_4 = new Chart(stackedBarChartCanvas_4, {
      type: 'bar',
      data: stackedBarChartData_4,
      options: stackedBarChartOptions
    })
  })
</script>

