<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Obra: Agregar oferta a la Licitaci&oacute;n</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
               <li class="breadcrumb-item"><a href="<?php echo base_url('Obra'); ?>">Listar Obras</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		      	<div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		              </div>
		          <div class="card-body">
					<?php echo form_open_multipart('Obra/add_oferta/'.$licitacion['id']); ?>
					<div class="box-body">
						<div class="row clearfix">
							<div class="col-md-6">
								<label for="obrasproveedor_id" class="control-label"><span class="text-danger">*</span>Proveedor</label>
								<div class="form-group">
									<select name="obrasproveedor_id" class="form-control">
										<option value="">Seleccionar Proveedor</option>
										<?php
										foreach($all_proveedores as $tipo)
										{
											$selected = ($tipo['id'] == $this->input->post('obrasproveedor_id')) ? ' selected="selected"' : "";

											echo '<option value="'.$tipo['id'].'" '.$selected.'>'.$tipo['title'].'</option>';
										}
										?>
									</select>
									<span class="text-danger"><?php echo form_error('obrasproveedor_id');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="sobreNro" class="control-label"><span class="text-danger">*</span>Sobre Nro</label>
								<div class="form-group">
									<input type="text" name="sobreNro" value="<?php echo $this->input->post('sobreNro'); ?>" class="form-control" id="sobreNro" />
									<span class="text-danger"><?php echo form_error('sobreNro');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="polizaNro" class="control-label">P&oacute;liza Nro</label>
								<div class="form-group">
									<input type="text" name="polizaNro" value="<?php echo $this->input->post('polizaNro'); ?>" class="form-control" id="polizaNro" />
									<span class="text-danger"><?php echo form_error('polizaNro');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="polizaMonto" class="control-label">P&oacute;liza Monto</label>
								<div class="form-group">
									<input type="text" name="polizaMonto" value="<?php echo $this->input->post('polizaMonto'); ?>" class="form-control" id="polizaMonto" />
									<span class="text-danger"><?php echo form_error('polizaMonto');?></span>
								</div>
							</div>
							<div class="col-md-6">
								<label for="monto_oficial" class="control-label"><span class="text-danger">*</span>Monto de la Oferta</label>
								<div class="form-group">
									<input type="text" name="monto_oficial" value="<?php echo $this->input->post('monto_oficial'); ?>" class="form-control" id="monto_oficial" />
									<span class="text-danger"><?php echo form_error('monto_oficial');?></span>
								</div>
							</div>
							<div class="col-md-6">
							<div class="form-group">
									<input type="checkbox" name="rechazado" value="1"  id="rechazado" />
									<label for="rechazado" class="control-label">Rechazar Oferta</label>
								</div>
							</div>
							<div class="col-md-6">
								<label for="observaciones" class="control-label">Observaciones</label>
								<div class="form-group">
									<input type="text" name="observaciones" value="<?php echo $this->input->post('observaciones'); ?>" class="form-control" id="observaciones" />
								</div>
							</div>
						</div>
					</div>
					<div class="box-footer">
		            	<button type="submit" class="btn btn-success">
							<i class="fa fa-check"></i> Aceptar
						</button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                 <a href="<?php echo base_url(); ?>Obra/index" class="btn btn-danger"> <i class="fa fa-remove"></i> Cancelar</a>

			        </div>
					<?php echo form_close(); ?>
				</div>
		    </div>
		</div>
	</div>
    </div>
 </section>