<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;&Oacute;rdenes de Compra</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo base_url(); ?>">Proyectos</a></li>
              <li class="breadcrumb-item active">&Oacute;rdenes</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->



<section class="content">
	<div class="container-fluid">
		<div class="row">
		    <div class="col-md-12">
		         <div class="card card-outline card-success">
			          <div class="card-header">
		                <!-- /.card-tools -->
		                  <a href="<?php echo site_url('OrdenCompras/add'); ?>" class="btn btn-success btn-sm">Nueva Orden de Compra</a>
		              </div>
		              <div class="card-body">
		               <?php if($this->session->flashdata('success')): ?>
          						<div class="alert alert-success alert-dismissible" role="alert">
            						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            						<?php echo $this->session->flashdata('success');  ?>
            						 <?php $this->session->unset_userdata('success'); ?>
          						</div>
        						<?php elseif($this->session->flashdata('error')): ?>
          								<div class="alert alert-danger alert-dismissible" role="alert">
            									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            									<?php echo $this->session->flashdata('error'); ?>
            									 <?php $this->session->unset_userdata('error'); ?>
         									 </div>
        						<?php endif; ?>

              		<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
			            <thead>
		                    <tr>
								<th>Orden Nro</th>
								<th>Fecha Ingreso</th>
								<th>&Aacute;rea Destino</th>
								<th>Observaciones</th>
								<th>A&ntilde;o</th>
								<th>Importe</th>
								<th>Estado</th>
								<th>Creado Por</th>
								<th>Acciones</th>
		                    </tr>
		                     </thead>
			                <tbody>
		                    <?php foreach($ordenes as $n){ ?>
		                    <tr>
								<td><?php echo $n['id']; ?></td>
								<td><?php echo date("d/m/Y", strtotime($n['fechaingreso'])); ?></td>
								<td><?php echo $n['area']; ?></td>
								<td><?php echo $n['observaciones']; ?></td>
								<td><?php echo $n['anio']; ?></td>
								<td><?php echo number_format($n['totalorden'],2 ,",", "."); ?></td>
								<td><span class="badge <?php echo $n['estadoColor']; ?>"><?php echo $n['estado']; ?></span></td>
								<td><?php echo $n['first_name'] . ' ' . $n['last_name'] ; ?></td>
								<td>
                      				<a class="btn btn-sm btn-success" href="<?php echo site_url('OrdenCompras/imprimirOrden/'.$n['id']); ?>" title="Imprimir" Target='_blank'>
		                          	<i class="fa fa-print"></i>
		                        	</a>

								  	<a class="btn btn-sm btn-primary" href="<?php echo site_url('OrdenCompras/detalle/'.$n['id']); ?>" title="M&aacute;s Informaci&oacute;n">
		                          	<i class="fa fa-plus-circle"></i>
		                        	</a>

		                         </td>
		                    </tr>
		                    <?php } ?>
		                    </tbody>
		                </table>

		            </div>
		        </div>
		    </div>
		</div>
</div>
 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
            dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [10, 15, 25, 50, -1],
                [10, 15, 25, 50, "Todos"]
            ],

            //Dil
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "https://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "Excel",
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": [],
            responsive: true
        });
    });
</script>

