<!-- Content Header (Page header) -->
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5 class="m-0 text-dark"><i class="nav-icon fas fa-th"></i>&nbsp;Datos</h5>
          </div><!-- /.col -->
          <div class="col-sm-6">
           <ol class="breadcrumb float-sm-right">
             <li class="breadcrumb-item"><a href="<?php echo base_url('Vehiculos'); ?>">Listar Vehiculos</a></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>
    <!-- /.content-header -->
<section class="content">
	<div class="container-fluid">
	   <div class="row">
	      <div class="col-sm-4">
		       <div class="card card-outline card-success">
		          <div class="card-header">
		                <a href="<?php echo site_url('Vehiculos/edit/'.$vehiculo['id']); ?>" class="btn btn-info"><i class="fas fa-edit"></i> Editar</a>&nbsp;&nbsp;&nbsp;&nbsp;
		                <a href="<?php echo site_url('Vehiculos/remove/'.$vehiculo['id']); ?>" class="btn btn-danger"><i class="fas fa-trash"></i> Eliminar</a>

	              </div>
	              <div class="card-body">
	                <?php
                     if (!empty($vehiculo))
                     {
                       $hoy = date("Y-m-d");
					?>
	              	<table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-tareas">
				                <thead>
				                  <tr>
				                    <th>#</th>
				                    <th>#</th>
				                  </tr>
				                </thead>
				                <tbody>
			                    <tr>
			                        <td><strong>ID</strong></td>
			                        <td><?php echo $vehiculo['id']; ?></td>
			                    </tr>
			                    <tr>
			                        <td><strong>Patente</strong></td>
								    <td><?php echo $vehiculo['patente']; ?></td>
								</tr>
								<tr>
			                        <td><strong>Marca</strong></td>
								    <td><?php echo $vehiculo['marca']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>Modelo</strong></td>
								    <td><?php echo $vehiculo['modelo']; ?></td>
								</tr>
								 <tr>
			                        <td><strong>A&ntilde;o</strong></td>
								    <td><?php echo $vehiculo['anio']; ?></td>
								</tr>
								<tr>
			                        <td><strong>Tarjeta Verde</strong></td>
								    <td><?php
				                        if ($vehiculo['tarjeta_verde'] == 1){
				                        	echo '<span class="badge bg-success">SI</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Seguro</strong></td>
								    <td><?php
				             			 if ($vehiculo['seguro'] == 1){
				                           if ($hoy > $vehiculo['seguro_fecha_venc']){
				                        		echo '<span class="badge bg-danger">VENCIDO<br/>';
				                           }else {
				                           		echo '<span class="badge bg-success"> SI<br/>';
				                           }
				                        	echo  date("d/m/Y", strtotime($vehiculo['seguro_fecha_venc'])) . '</span>';

				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}


				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Balizas</strong></td>
								    <td><?php
				                        if ($vehiculo['balizas'] == 1){
				                        	echo '<span class="badge bg-success">SI</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Mata Fuegos</strong></td>
								    <td><?php
				                        if ($vehiculo['matafuego'] == 1){
				                        	 if ($hoy > $vehiculo['matafuego_fecha_venc']){
				                        		echo '<span class="badge bg-danger">VENCIDO<br/>';
				                           }else {
				                           		echo '<span class="badge bg-success"> SI<br/>';
				                           }
				                        	echo  date("d/m/Y", strtotime($vehiculo['matafuego_fecha_venc'])) . '</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Chaleco</strong></td>
								    <td><?php
				                        if ($vehiculo['chaleco'] == 1){
				                        	echo '<span class="badge bg-success">SI</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Gancho Remolque</strong></td>
								    <td><?php
				                        if ($vehiculo['gancho_remolque'] == 1){
				                        	echo '<span class="badge bg-success">SI</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?></td>
								</tr>
								<tr>
			                        <td><strong>Rotaci&oacute;n</strong></td>
								    <td>
								    	<?php
				                        if ($vehiculo['rotacion_rueda'] == 1){
				                        	echo   '<span class="badge bg-success"> SI<br/>' . date("d/m/Y", strtotime($vehiculo['rotacion_fecha'])) . '</span>';
				                        }else{
				                        	echo '<span class="badge bg-danger">NO</span>';
				             			}
				                        ?>
								      </td>
								</tr>

	                          </tbody>
			                </table>
			       <?php
                     }
					?>
	               </div>
	             </div>
	      </div>
	      <div class="col-sm-8">
	          <div class="card card-outline card-success">
		          <div class="card-header">
		             <a href="<?php echo site_url('Vehiculos/nueva_poliza/'.$vehiculo['id']); ?>" class="btn btn-info"><i class="fas fa-edit"></i> Nueva P&oacute;liza</a>&nbsp;&nbsp;
		             <a href="<?php echo site_url('Vehiculos/nuevo_matafuegos/'.$vehiculo['id']); ?>" class="btn btn-warning"><i class="fas fa-edit"></i> Matafuego</a>&nbsp;&nbsp;
		             <a href="<?php echo site_url('Vehiculos/mantenimiento/'.$vehiculo['id']); ?>" class="btn btn-success"><i class="fas fa-edit"></i> Mantenimiento Vehicular</a>
		             <br/> <br/>
		          	<h3>Historial de Registro</h3>

	              </div>
	              <div class="card-body">
	              <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-historial">
				    <thead>
					    <tr>
							<th>Tipo de Evento</th>
							<th>Fecha</th>
							<th>KM</th>
							<th>Observaci&oacute;n</th>
							<th>Acciones</th>
		                </tr>
	                    </thead>
	                	<tbody>
	                	  <?php foreach($vehiculo_historial as $a){ ?>
		                    <tr>
								<td><?php echo $a['descripcion']; ?></td>
								<td><?php echo '<b>'. date("d/m/Y", strtotime($a['fecha_desde'])) . '</b>';
											if ($a['fecha_hasta'] != '0000-00-00') {
												echo ' al <b>' . date("d/m/Y", strtotime($a['fecha_hasta'])).'</b>';
			                                 }
									 ?>
								</td>

								<td><?php echo $a['km']; ?></td>
								<td><?php echo $a['observacion']; ?></td>
								<td>
								  <?php
                                     if ($a['tipo_evento'] == 1){
									?>
									<a href="<?php echo site_url('Vehiculos/edit_poliza/'.$a['id']); ?>" class="btn btn-info btn-xs"><i class="fas fa-edit"></i></a>&nbsp;&nbsp;
		                			  <?php
                                    }else if ($a['tipo_evento'] == 2){
									?>
									<a href="<?php echo site_url('Vehiculos/edit_matafuegos/'.$a['id']); ?>" class="btn btn-info btn-xs"><i class="fas fa-edit"></i></a>&nbsp;&nbsp;
		                			  <?php
                                    }else {
									?>
									 <a href="<?php echo site_url('Vehiculos/mantenimiento_edit/'.$a['id']); ?>" class="btn btn-info btn-xs"><i class="fas fa-edit"></i></a>&nbsp;&nbsp;

									 <?php
                                    }
									?>
		                			<a href="<?php echo site_url('Vehiculos/mantenimiento_remove/'.$a['id']); ?>" class="btn btn-danger btn-xs"><i class="fas fa-trash"></i> </a>
								</td>
		                    </tr>
		                    <?php } ?>
		           		</tbody>
			       	 </table>
	               </div>
	             </div>
	       </div>
	      </div>
	   </div>

 </section>

  <!-- DataTables imprimir PDF Excel-->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.16/af-2.2.2/b-1.5.1/b-colvis-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/cr-1.4.1/fc-3.2.4/fh-3.1.3/kt-2.3.2/r-2.2.1/rg-1.0.2/rr-1.2.3/sc-1.4.4/sl-1.2.5/datatables.min.js"></script>

 <script>
    $(document).ready(function () {
        $('#dataTables-tareas').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-6'i><'col-sm-6'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [ -1],
                [ "Todos"]
            ],
            'bPaginate': false,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": false,
            "bInfo": false,
            responsive: true
        });

        $('#dataTables-historial').DataTable({
             dom: "<'row'<'col-sm-6'l><'col-sm-6'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-9'i><'col-sm-3'B>>" +
                "<'row'<'col-sm-7 col-centered'p>>",
            lengthMenu: [
                [ -1],
                [ "Todos"]
            ],
            'bPaginate': false,
            language: {
                select: {
                    rows: "%d Seleccionar Linea."
                },

                url: "http://cdn.datatables.net/plug-ins/1.10.12/i18n/Spanish.json"
            },
            buttons: [{
                    extend: "print",
                    text: "Imprimir",
                    exportOptions: {
                        orthogonal: 'export',
                        columns: ':visible'
                    },
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        orthogonal: 'export'
                    },
                    text: "PDF",
                }
            ],
            "order": false,
            "bInfo": false,
            responsive: true
        });
    });
</script>